<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/allresources/AddHostStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css" title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/allresources/AllResources.js"></SCRIPT>

<TITLE>Add Host</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector">
	<h:form id="addHostForm" target="_parent">
			
		<h:outputText id="addHostInstructions" styleClass="scm_outputText" value="#{bundle.AddHost_Instructions}"></h:outputText>
		
		<HR>
		
		<!-- ----------------------------------------- IP -------------------------------------- -->
		
		<h:outputText id="hostIPAddressLabel" styleClass="scm_outputTextTitle2" value="#{bundle.AddHost_HostIPAddress}"></h:outputText>
		
		<BR>
		
		<div style="padding-left: 10px">
		<h:outputText id="hostIPAddressAsterix" styleClass="scm_outputText" style="color: red" value="#{bundle.Common_Asterix}"></h:outputText>
		<h:inputText disabled="true" id="hostIPAddressInput" value="#{pc_AddHost.address}"></h:inputText>
		
		<h:graphicImage id="hostIpAddressHelpImage" value="images/expandcollapse/help_plus.gif" style="cursor: pointer" 
			alt='#{bundle.Common_Collapsed}' title='#{bundle.Common_Collapsed}'
			onclick="toggleExpandCollapse(this, 'images/expandcollapse/help_plus.gif', '#{bundle.Common_Collapsed}', 'images/expandcollapse/help_minus.gif', '#{bundle.Common_Expanded}', 'hostIPAddressHelpDiv')"></h:graphicImage>
		
		<h:outputLabel id="hostIPDescription" for="hostIPAddressInput" styleClass="scm_outputText" value="#{bundle.AddHost_HostIPInstructions}"></h:outputLabel>
		
		<BR>
			
		<div id="hostIPAddressHelpDiv" style="display: none">	
			<h:outputText id="hostIPHelpMessage" escape="false" styleClass="scm_outputText" value="#{bundle.AddHost_HostIPHelpInstructions}"></h:outputText>
		</div>
		
		</div>
		
		<BR>
		
		<!-- ----------------------------------------- LOGIN -------------------------------------- -->
		
		<h:outputText id="hostLoginLabel" styleClass="scm_outputTextTitle2" value="#{bundle.AddHost_HostLogin}"></h:outputText>
		
		<BR>
		
		<div style="padding-left: 10px">
		
		<h:outputText id="hostLoginDescription" styleClass="scm_outputText" value="#{bundle.AddHost_HostLoginDescription}"></h:outputText>
		
		<BR>
		
		<table>
		<tbody>
			<tr>
				<td>
					<h:outputText id="hostUseridAsterix" styleClass="scm_outputText" style="color: red" value="#{bundle.Common_Asterix}"></h:outputText>
					<h:outputLabel id="hostUseridLabel" for="hostUseridInput" styleClass="scm_outputText" value="#{bundle.AddHost_UserID}"></h:outputLabel>
				</td>
				<td>
					<h:inputText disabled="true" id="hostUseridInput" value="#{pc_AddHost.userID}"></h:inputText>
				</td>
			</tr>
			<tr>
				<td>
					<h:outputText id="hostPasswordAsterix" styleClass="scm_outputText" style="color: red" value="#{bundle.Common_Asterix}"></h:outputText>	
					<h:outputLabel id="hostPasswordLabel" for="hostPasswordInput" styleClass="scm_outputText" value="#{bundle.AddHost_Password}"></h:outputLabel>
				</td>
				<td>
					<h:inputSecret disabled="true" id="hostPasswordInput" value="#{pc_AddHost.password}"></h:inputSecret>
				</td>
			</tr>
		</tbody>
		</table>
		
		</div>
		
		<BR>
		
		<!-- ----------------------------------------- ADVANCED -------------------------------------- -->
		<h:graphicImage id="advancedArrowImage" value="images/expandcollapse/arrow_right.gif" alt="#{bundle.Common_Collapsed}"></h:graphicImage>
		
		
		<h:outputText id="advancedLabel" styleClass="scm_outputTextTitle2" value="#{bundle.AddHost_Advanced}"></h:outputText>
		
		<BR>
		
		<BR>
		
		<h:commandButton disabled="true" type="submit" id="addHostOK" value="#{bundle.Common_OK}" action="#{pc_AddHost.addHost}" styleClass="scm_button"></h:commandButton>
		<h:commandButton disabled="true" type="submit" id="addHostCancel" value="#{bundle.Common_Cancel}" action="#{pc_AddHost.cancel}" styleClass="scm_button"></h:commandButton>
				
	</h:form>	
	</hx:scriptCollector>
	</BODY>
</f:view>