<%-- jsf:pagecode language="java" location="/src/pagecode/page/allresources/HostProperties.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>

<link rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>


<TITLE>Controller Properties</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_HostProperties.onPageLoadBegin}">
		<h:form id="form1" styleClass="scm_outputText">
				<hx:jspPanel id="contentPanel"
					rendered="true">
					<div id="header">
					<table style="width:100%; border-width:0; vertical-align:middle;">
						<tr>
							<td rowspan="2" style="width:10%"><hx:graphicImageEx
								id="imageHeader" styleClass="graphicImageEx"
								value="/images/components/host_large.gif" alt="#{bundle.HostProperties_HostImage_Alt}"></hx:graphicImageEx></td>
							<td><h:outputText
								styleClass="scm_outputText" style="width:90px; display:block; float:left;"
								id="head_name" value="#{bundle.HostProperties_Label_Name}"></h:outputText>
							<h:outputText styleClass="scm_outputText" id="head_name_value" style="float:left;"
								value="#{hostPropertiesBean.host.displayName}"></h:outputText></td>
							<td style="text-align:right;">
							<a class="scm_plainLink" onclick="javascript:window.open('/help/topic/com.ibm.storage.armr.doc/scm_armr_host_properties.html?noframes=true','PortletHelpWindow','resizable=yes,scrollbars=yes,menubar=no,toolbar=no,status=no,width=450,height=260,screenX=200,screenY=200,top=200,left=200').focus(); return false;" target="_blank" style="" href="/help/topic/com.ibm.storage.armr.doc/scm_armr_host_properties.html?noframes=true">
								<h:outputText id="link_text" value="#{bundle.Common_Link_Help}"></h:outputText>
							</a>
							</td>
						</tr>
						<tr>
							<td colspan="2" style="vertical-align:middle;"><h:outputText
								styleClass="scm_outputText"
								style="width:90px; display:block; float:left;"
								id="head_status" value="#{bundle.HostProperties_Label_Status}"></h:outputText>
							<hx:graphicImageEx id="imageStatus" styleClass="graphicImageEx"
								value="#{hostPropertiesBean.host.statusImage}" alt=""
								style="margin-bottom:-2px; margin-left:-2px; float:left"></hx:graphicImageEx> <h:outputText
								styleClass="scm_outputText" id="head_status_value"
								value="#{hostPropertiesBean.host.statusText}" style="float:left;"></h:outputText></td>
						</tr>
					</table>
					</div>
					<br>
					<div id="main"><odc:tabbedPanel id="host_tab_panel" styleClass="scm_tabbedPanel_top" width="100%"
						variableTabLength="true" showBackNextButton="false"
						showTabs="true"	height="200">
						<odc:bfPanel id="host_general" name="#{bundle.HostProperties_Tab_General}"
							showFinishCancelButton="false">
							<hx:jspPanel id="general_jsppanel">
								<table>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="host_label"
											value="#{bundle.HostProperties_Label_Host_Name}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="host_value" value="#{hostPropertiesBean.host.dnsHostName}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="ip_label" value="#{bundle.HostProperties_Label_IP}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="ip_value" value="#{hostPropertiesBean.host.ip}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="os_type_label"
											value="#{bundle.HostProperties_Label_OS_Type}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="os_type_value" value="#{hostPropertiesBean.host.osType}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="os_ver_label"
											value="#{bundle.HostProperties_Label_OS_Version}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="os_ver_value"
											value="#{hostPropertiesBean.host.osVersion}"></h:outputText>
										</td>
									</tr>
									<hx:jspPanel id="physicallocation_jsppanel" rendered="#{hostPropertiesBean.host.blade}">
									<tr>
										<td colspan="2"><h:outputText styleClass="scm_outputText"
											id="physical_location_label"
											value="#{bundle.HostProperties_Label_Physical_Location}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td style="padding-left:20px;"><h:outputText
											styleClass="scm_outputText" id="chassis_uuid_label"
											value="#{bundle.HostProperties_Label_Chassis_UUID}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="chassis_uuid_value"
											value="#{hostPropertiesBean.host.chassisUUID}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td style="padding-left:20px;"><h:outputText
											styleClass="scm_outputText" id="blade_bay_label"
											value="#{bundle.HostProperties_Label_Blade_Bay}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="blade_bay_value"
											value="#{hostPropertiesBean.host.bladeBayNumber}"></h:outputText>
										</td>
									</tr>
									</hx:jspPanel>
								</table>
							</hx:jspPanel>
						</odc:bfPanel>
						<odc:bfPanel id="host_advanced" name="#{bundle.HostProperties_Tab_Advanced}"
							showFinishCancelButton="false">
							<hx:jspPanel id="advanced_jsppanel">
								<table>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="agent_protocol_label"
											value="#{bundle.HostProperties_Label_Agent_Protocol}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="agent_protocol_value"
											value="#{hostPropertiesBean.host.agentProtocol}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="agent_port_label"
											value="#{bundle.HostProperties_Label_Agent_Port}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="agent_port_value"
											value="#{hostPropertiesBean.host.agentPort}"></h:outputText></td>
									</tr>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="smis_ver_label"
											value="#{bundle.HostProperties_Label_SMIS_Version}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="smis_ver_value"
											value="#{hostPropertiesBean.host.smisVersion}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="smis_profile_label"
											value="#{bundle.HostProperties_Label_SMIS_Profile}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="smis_profile_value"
											value="#{hostPropertiesBean.host.smisProfile}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="interop_ns_label"
											value="#{bundle.HostProperties_Label_Interop_NS}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="interop_ns_value"
											value="#{hostPropertiesBean.host.interopNS}"></h:outputText></td>
									</tr>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="smis_ns_label"
											value="#{bundle.HostProperties_Label_SMIS_NS}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="smis_ns_value" value="#{hostPropertiesBean.host.smisNS}"></h:outputText>
										</td>
									</tr>
								</table>
							</hx:jspPanel>
						</odc:bfPanel>
						<f:facet name="back">
							<hx:commandExButton type="submit" value="&lt; Back"
								id="tabbedPanel_back" style="display:none"></hx:commandExButton>
						</f:facet>
						<f:facet name="next">
							<hx:commandExButton type="submit" value="Next &gt;"
								id="tabbedPanel_next" style="display:none"></hx:commandExButton>
						</f:facet>
						<f:facet name="finish">
							<hx:commandExButton type="submit" value="Finish"
								id="tabbedPanel_finish" style="display:none"></hx:commandExButton>
						</f:facet>
						<f:facet name="cancel">
							<hx:commandExButton type="submit" value="Cancel"
								id="tabbedPanel1sscancel" style="display:none"></hx:commandExButton>
						</f:facet>
					</odc:tabbedPanel></div>
					<br>
					<div id="footer"><hx:commandExButton type="button"
						styleClass="scm_button"
						value="#{bundle.Common_Button_Close}" id="btn_close" onclick="parent.panelDialogObj.closeDialog()">
					</hx:commandExButton></div>
				</hx:jspPanel>
			</h:form>
			<%-- host dialog title --%>
			<h:outputText id="host_dialog_title" value="#{hostPropertiesBean.hostDialogTitle}" style="display:none"></h:outputText>
	</hx:scriptCollector>
	</BODY>
</f:view>
<script language="javascript">
var title = $("view:host_dialog_title").innerHTML;
parent.panelDialogObj.setPanelDialogTitle("view", title);
</script>