<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:subview id="context_subview">
	<h:form id="context_form" style="margin:0px;">
		<h:outputLabel styleClass="scm_outputText" id="device_label" style="padding-right:8px;"
			for="current_device_combo" value="#{bundle.Common_Label_ContextChooser}">
		</h:outputLabel>
		<h:selectOneMenu styleClass="scm_outputText" id="current_device_combo" onchange="parent.startShellLoading();;this.form.submit();"
			value="#{scmSessionData.selectedDeviceID}">
			<f:selectItems id="domain_selectitems" value="#{scmSessionData.domainSelectItems}" />
		</h:selectOneMenu>
		
		<h:outputText id="current_host_name_blade" rendered="#{scmSessionData.selectedHost.blade}" styleClass="scm_outputText" style="padding-left:15px;"
				value="(#{scmSessionData.selectedHost.displayName})">
		</h:outputText>
		
		<h:outputFormat id="current_host_name_non_blade" rendered="#{!scmSessionData.selectedHost.blade}" styleClass="scm_outputText" style="padding-left:15px;"
				value="(#{bundle.AllResources_HostDisplayName})">
				<f:param name="displayNameParam" value="#{scmSessionData.selectedHost.displayName}"></f:param>
		</h:outputFormat>
		
	</h:form>
</f:subview>
