<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/common/NoDeviceForwarder.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css" title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/NoDeviceForwarder.js"></SCRIPT>

<TITLE>Device Not Available</TITLE>
</HEAD>
<f:view>
	<BODY>
		<hx:scriptCollector id="scriptCollector">
		<h:form id="form1" target="_parent">
		<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
		<hx:commandExButton id="gotoAllResourceButton" style="display:none" action="#{pc_NoDeviceForwarder.navigate}"></hx:commandExButton>
		<h:outputText rendered="#{!scmSessionData.launchedFromHat}" id="no_device_prompt" escape="false" styleClass="scm_outputText" value="#{pc_NoDeviceForwarder.noDevicePrompt}"></h:outputText>
		</h:form>
		<jsp:include page="/page/common/InlineMessages.jsp"></jsp:include>		
		</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>