<%--
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2009, 2010 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
--%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/createpool/CreatePoolAdvancedNonNested.java" --%><%-- /jsf:pagecode --%>

<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"
	import="java.util.ResourceBundle,com.ibm.sysmgmt.scm.ar.backing.createpool.*,javax.faces.context.FacesContext,com.ibm.sysmgmt.scm.ar.common.RaidLevelHandler,com.ibm.sysmgmt.scm.ar.common.LocaleUtils"%>
	<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/createpool/RAIDCalculator.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/createpool/CreatePoolAdvancedNonNested.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/PanelDialog.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>

<TITLE>CreatePoolAdvanced</TITLE>

</HEAD>
<BODY onload="disableNextBtn();tableLayoutAdjustment();">
<f:view>
	<hx:scriptCollector id="scriptCollector">
		<h:form id="form1">
			<table class="scm_wizard">
				<tr>
					<td class="left"><hx:jspPanel id="progressview_panel1" 
						rendered="#{createPoolAdvancedNonNestedBean.launchedFromVolumes}">
						<jsp:include flush="true"
							page="/page/createvolume/ProgressView.jsp"></jsp:include>
					</hx:jspPanel> <hx:jspPanel id="progressview_panel2"
						rendered="#{!createPoolAdvancedNonNestedBean.launchedFromVolumes}">
						<jsp:include flush="true" page="ProgressView.jsp"></jsp:include>
					</hx:jspPanel></td>
					<td class="right">
					<div id="mainContent">
					<%
						FacesContext fc = FacesContext.getCurrentInstance();
						CreatePoolAdvancedNonNestedBean cpab = (CreatePoolAdvancedNonNestedBean) fc
								.getApplication().createValueBinding(
								"#{createPoolAdvancedNonNestedBean}").getValue(fc);
					%>

					<div id="header">
					<TABLE class="scm_titleArea" width="100%" height="50px"
						cellpadding="5px">
						<TR>
							<TD><h:outputText id="nonnested_title" styleClass="scm_outputTextTitle2"
								value="#{bundle.CreatePoolAdvancedNonNested_Title}"></h:outputText>
							<BR>
							<h:outputText id="nonnested_instructions" styleClass="scm_outputText"
								value="#{bundle.CreatePoolAdvancedNonNested_Instructions}"></h:outputText>
							</TD>
						</TR>
					</TABLE>
					</div>
					
					<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>

					<%
						// If there are no types of disks, then we know that no free disks have been found.
						if (cpab.getDriveTypes().size() == 0) {
					%> <h:outputText id="noFreeDisks"
						value="#{bundle.CreatePoolAdvancedNonNested_NoFreeDisks}"
						styleClass="scm_outputText"></h:outputText> <%
 } else {
 %>

					<table width="100%">
						<tr>
							<td width="50%" valign="top">

							<table>
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%--
								<tr>
									<td><h:outputText id="poolname_asterix" 
										styleClass="scm_outputText"
										style="color: red" value="#{bundle.Common_Asterix}"></h:outputText>
									</td>

									<td style="white-space: nowrap">
									<h:outputLabel id="poolname_label" for="poolname_input"
										value="#{bundle.CreatePoolEasy_Label_StoragePoolName}"
										styleClass="scm_outputText"></h:outputLabel></td>

									<td><h:inputText id="poolname_input"
										value="#{createPoolAdvancedNonNestedBean.poolName}"
										maxlength="12" style="width:207px;" immediate="true" styleClass="scm_inputText"></h:inputText>
									</td>

									<td></td>
								</tr>

								<tr style="display:none" id="poolname_errormsg_tr">
									<td></td>
									<td style="padding-left:13px" colspan="3"><h:outputText id="poolname_errormsg"
										styleClass="scm_outputTextError"
										value="#{bundle.CreatePoolEasy_Validation_PoolName_Incorrect}"></h:outputText>
									</td>
								</tr>
--%>

								<tr>
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%--
									<td></td>
--%>

									<td style="white-space: nowrap"><h:outputLabel
										id="drivetype_label" for="drivetype_select"
										value="#{bundle.CreatePoolEasy_Label_DesiredDriveType}"
										styleClass="scm_outputText"></h:outputLabel></td>

									<td><h:selectOneMenu id="drivetype_select"
										style="width:150px" styleClass="scm_selectText"
										value="#{createPoolAdvancedNonNestedBean.driveType}"
										onchange="this.form.submit()" immediate="true">
										<f:selectItems id="drivetypes_items"
											value="#{createPoolAdvancedNonNestedBean.driveTypeSelectItems}" />
									</h:selectOneMenu></td>

									<td><!-- Space for help icon --></td>
								</tr>

								<tr>
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%--
									<td></td>
--%>

									<td style="white-space: nowrap"><h:outputLabel
										id="raidlevel_label" for="raidlevel_select"
										value="#{bundle.CreatePoolEasy_Label_DesiredRAIDLevel}"
										styleClass="scm_outputText"></h:outputLabel></td>

									<td><h:selectOneMenu id="raidlevel_select"
										style="width:150px" styleClass="scm_selectText"
										value="#{createPoolAdvancedNonNestedBean.raidLevel}"
										onchange="this.form.submit()" immediate="true">
										<f:selectItems id="raidlevels_items"
											value="#{createPoolAdvancedNonNestedBean.raidLevels}" />
									</h:selectOneMenu></td>

									<td><hx:graphicImageEx id="raidlevel_helpimage"
										value="images/expandcollapse/help_plus.gif"
										tabindex="0" onkeyup="selfClick(this,event);"
										style="cursor: pointer" alt="#{bundle.Common_Collapsed}"  title="#{bundle.Common_Collapsed}"
										onclick="toggleExpandCollapse(this, 'images/expandcollapse/help_plus.gif', '#{bundle.Common_Collapsed}', 'images/expandcollapse/help_minus.gif', '#{bundle.Common_Expanded}', 'RAIDLevelsHelpArea')">
									</hx:graphicImageEx></td>
								</tr>
							</table>

							</td>

							<td width="50%" valign="top">

							<table>
								<tr>
									<td><h:outputText id="minNumberOfDrivesLabel"
										value="#{bundle.CreatePoolAdvancedNonNested_MinimumNumberOfDisks}"
										styleClass="scm_outputText"></h:outputText></td>
									<td><h:outputText id="minNumberOfDrivesValue"
										value="#{createPoolAdvancedNonNestedBean.minNumberOfDrives}"
										styleClass="scm_outputText"></h:outputText></td>
								</tr>
								<tr>
									<td><h:outputText id="addedNumberOfDrivesLabel"
										value="#{bundle.CreatePoolAdvancedNonNested_AddedNumberOfDisks}"
										styleClass="scm_outputText"></h:outputText></td>
									<td><h:outputText id="addedNumberOfDrivesValue" value="0"
										styleClass="scm_outputText"></h:outputText></td>
								</tr>
								<tr>
									<td><h:outputText id="totalPoolCapacityLabel"
										value="#{bundle.CreatePoolAdvancedNonNested_TotalNewPoolCapacity}"
										styleClass="scm_outputText"></h:outputText></td>
									<td><h:outputText id="totalPoolCapacityValue" value="0"
										styleClass="scm_outputText" style="display: none"></h:outputText>
									<h:outputText id="totalPoolCapacityValueGB" value="#{bundle.CreatePoolAdvancedNonNested_GB}"
										styleClass="scm_outputText" style="display: none"></h:outputText>
									</td>
								</tr>
								<tr>
									<td><h:outputText id="remainingSystemCapacityLabel"
										value="#{bundle.CreatePoolAdvancedNonNested_RemainingSystemCapacity}"
										styleClass="scm_outputText"></h:outputText></td>
									<td><h:outputText id="remainingSystemCapacityValue"
										value="#{createPoolAdvancedNonNestedBean.totalAvailableGBString}"
										styleClass="scm_outputText"></h:outputText> <h:outputText
										id="remainingSystemCapacityValueGB"
										value="#{bundle.CreatePoolAdvancedNonNested_GB}"
										styleClass="scm_outputText"></h:outputText></td>
								</tr>
							</table>

							</td>
						</tr>
					</table>

					<div id="RAIDLevelsHelpArea" style="display: none"><%@ include
						file="/page/createpool/RAIDLevelsHelp.jsp"%>
					</div>
					
					<% ResourceBundle nls = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.ar.nls.GWMARL",LocaleUtils.getCurrentRequestLocale()); %>
					<table width="100%">
						<tr>

							<td width="45%" valign="top"><h:outputText
								id="availableDisksLabel"
								value="#{bundle.CreatePoolAdvancedNonNested_AvailableDiskDrives}"
								styleClass="scm_outputTextTitle3"></h:outputText>
							<div id="availableDisks_table_header_div" class="scm_DataTableHeader_Div">
								<TABLE width='100%' class='scm_DataTable' cellpadding='0' cellspacing='0' id="availableDisks_table_header"
	   								style="border-top: 0px; border-bottom: 0px; table-layout: fixed;">
	   							<colgroup>
									<col width="15%">
									</col>
									<col width="30%">
									</col>
									<col width="55%">
									</col>
								</colgroup>
    							<THEAD>
    								<tr>
									<th class="scm_DataTable_Header" width="15%">&nbsp;</th>
									<th class="scm_DataTable_Header" width="30%"><h:outputText
										id="leftTableRawGB"
										value="#{bundle.CreatePoolAdvancedNonNested_RawGB}"></h:outputText>
									</th>
									<th class="scm_DataTable_Header" width="55%"><h:outputText
										id="leftTableDiskDrive"
										value="#{bundle.CreatePoolAdvancedNonNested_DiskDrive}"></h:outputText>
									</th>
									</tr>
    							</THEAD>
    							</TABLE>
							</div>
							<div id="availableDisks_table_content_panel" style="height: 200px; overflow-y: auto; overflow-x: auto; width:100%">
							
							<table width='100%'id="availableDisksTable" summary='<%=nls.getString("CreatePoolAdvancedNonNested_AvailableDisksTable_Summary") %>' class="scm_DataTable"
								cellpadding='0' cellspacing='0' border='0' style="border-top: 0px; table-layout: fixed;">
								<colgroup>
									<col width="15%">
									</col>
									<col width="30%">
									</col>
									<col width="55%">
									</col>
								</colgroup>
								<THEAD>
    								<tr class="scm_DataTable_Header scm_DataTable_Body_Header">
									<th class="scm_DataTable_Header" width="15%">&nbsp;</th>
									<th class="scm_DataTable_Header" width="30%"><h:outputText
										id="leftTableRawGB_tbody_header"
										value="#{bundle.CreatePoolAdvancedNonNested_RawGB}"></h:outputText>
									</th>
									<th class="scm_DataTable_Header" width="55%"><h:outputText
										id="leftTableDiskDrive_tbody_header"
										value="#{bundle.CreatePoolAdvancedNonNested_DiskDrive}"></h:outputText>
									</th>
									</tr>
    							</THEAD>
								<%
										CPDiskDrive[] disks = cpab.getAvailableDiskDrives();
										for (int x = 0; x < disks.length; x++) {
											String rowStyleClass = x % 2 == 0 ? "scm_DataTable_Row"
											: "scm_DataTable_RowGray";
								%>
								<tr id="<%= disks[x].getId() %>" class="<%= rowStyleClass %>">
									<td class="scm_DataTable_Column scm_outputText" align="center" width="15%"><input
										type="checkbox" name="availableDisks"
										value="<%= disks[x].getId() %>"
										title="<%=disks[x].getDisplayName()%>"
										onclick='updateAvailableDisksSelectedCount()'></td>

									<td class="scm_DataTable_Column scm_outputText" align="right" width="30%"><%=disks[x].getCapacityString()%>
									</td>

									<td class="scm_DataTable_Column scm_outputText" width="55%"><img
										src="<%= disks[x].getImagePath() %>" alt="<%=disks[x].getDisplayName()%>" style="vertical-align: middle" ></img> <%=disks[x].getDisplayName()%>
									</td>
								</tr>
								<%
										}

										// If we have no disks
										if (disks.length == 0) {
								%>
								<tr class="scm_DataTable_Row">
									<td colspan="3" class="scm_DataTable_Column scm_outputText">
									<h:outputText id="noDrivesAvailable"
										value="#{bundle.CreatePoolAdvancedNonNested_NoDrivesAvailable}"></h:outputText>
									</td>
								</tr>
								<%
								}
								%>
							</table>
							</div>
							<table class="scm_DataTable" cellspacing="0" width="100%" role="presentation">
								<tr>
									<th class="scm_DataTable_Header" style="text-align: left">
									<h:outputText id="availableTableSelectedLabel"
										value="#{bundle.CreatePoolAdvancedNonNested_Selected}"
										style="scm_outputText"></h:outputText> <h:outputText
										id="availableTableSelectedValue" value="0"
										styleClass="scm_outputText"></h:outputText></th>
								</tr>
							</table>
							</td>

							<td width="10%" align="center"><input id="addControl"
								type="button" value="<%=MessageFormatter.formatLabel(GWMARL.CreatePoolAdvancedNonNested_AddDisks, null)%>" title="<%=MessageFormatter.formatLabel(GWMARL.CreatePoolAdvancedNonNested_AddDisks_Title, null)%>" onclick="addDisks()" disabled>
							<BR>
							<BR>
							<input id="removeControl" type="button" value="<%=MessageFormatter.formatLabel(GWMARL.CreatePoolAdvancedNonNested_RemoveDisks, null)%>" title="<%=MessageFormatter.formatLabel(GWMARL.CreatePoolAdvancedNonNested_RemoveDisks_Title, null)%>"
								onclick="removeDisks()" disabled></td>

							<td width="45%" valign="top"><h:outputText
								id="addedDisksLabel"
								value="#{bundle.CreatePoolAdvancedNonNested_AddedDiskDrives}"
								styleClass="scm_outputTextTitle3"></h:outputText>
								
							<div id="addedDisks_table_header_div" class="scm_DataTableHeader_Div">
								<TABLE width='100%' class='scm_DataTable' cellpadding='0' cellspacing='0' id="addedDisks_table_header"
	   								style="border-top: 0px; border-bottom: 0px; table-layout: fixed;">
	   							<colgroup>
									<col width="15%">
									</col>
									<col width="30%">
									</col>
									<col width="55%">
									</col>
								</colgroup>
    							<THEAD>
    								<tr>
										<th class="scm_DataTable_Header" width="15%">&nbsp;</th>
										<th class="scm_DataTable_Header" width="30%"><h:outputText
											id="rightTableRawGB"
											value="#{bundle.CreatePoolAdvancedNonNested_RawGB}"></h:outputText>
										</th>
										<th class="scm_DataTable_Header" width="55%"><h:outputText
											id="rightTableDiskDrive"
											value="#{bundle.CreatePoolAdvancedNonNested_DiskDrive}"></h:outputText>
										</th>
									</tr>
    							</THEAD>
    							</TABLE>
    						</div>
    						
							<div id="addedDisks_table_content_panel" style="height: 200px; overflow-y: auto; overflow-x: auto; width:100%">
							<table width='100%' id="addedDisksTable" class='scm_DataTable' summary='<%=nls.getString("CreatePoolAdvancedNonNested_AddedDisksTable_Summary") %>' cellpadding='0' cellspacing='0' border='0'
     							style="border-top: 0px; table-layout: fixed;">
     							<colgroup>
									<col width="15%">
									</col>
									<col width="30%">
									</col>
									<col width="55%">
									</col>
								</colgroup>
     							<THEAD>
    								<tr class="scm_DataTable_Header scm_DataTable_Body_Header">
										<th class="scm_DataTable_Header" width="15%">&nbsp;</th>
										<th class="scm_DataTable_Header" width="30%"><h:outputText
											id="rightTableRawGB_tbody_header"
											value="#{bundle.CreatePoolAdvancedNonNested_RawGB}"></h:outputText>
										</th>
										<th class="scm_DataTable_Header" width="55%"><h:outputText
											id="rightTableDiskDrive_tbody_header"
											value="#{bundle.CreatePoolAdvancedNonNested_DiskDrive}"></h:outputText>
										</th>
									</tr>
    							</THEAD>
								<tbody>
									<tr class="scm_DataTable_Row">
										<td colspan="3" class="scm_DataTable_Column scm_outputText">
										<h:outputText id="noDrivesHaveBeenAdded"
											value="#{bundle.CreatePoolAdvancedNonNested_NoDrivesHaveBeenAdded}"></h:outputText>
										</td>
									</tr>
								</tbody>
							</table>
							</div>
							<table class="scm_DataTable" cellspacing="0" width="100%">
								<tr>
									<th class="scm_DataTable_Header" style="text-align: left">
									<h:outputText id="addedTableSelectedLabel"
										value="#{bundle.CreatePoolAdvancedNonNested_Selected}"
										styleClass="scm_outputText"></h:outputText> <h:outputText
										id="addedTableSelectedValue" value="0"
										styleClass="scm_outputText"></h:outputText></th>
								</tr>
							</table>
							</td>

						</tr>
					</table>
					<%if (cpab.isIR()) {
					%> 
						<h:outputText id="is_IR" value="true" style="display: none"></h:outputText>	
					<%	}%>
					<h:outputText id="NLS_NoDisksAdded"
						value="#{bundle.CreatePoolAdvancedNonNested_NoDrivesHaveBeenAdded}"
						style="display: none"></h:outputText> 
					
						
				<SCRIPT language="javascript">
				
				// Constants so we can represent RAID 0+1 and such
				var RAID0 = '<%= RaidLevelHandler.RAID0 %>';
				var RAID1 = '<%= RaidLevelHandler.RAID1 %>';
				var RAID5 = '<%= RaidLevelHandler.RAID5 %>';
				var RAID6 = '<%= RaidLevelHandler.RAID6 %>';
			
				var selectedRaidLevel = '<%= cpab.getRaidLevel() %>';
				
				// Make a maps to track our disks
				var availableDisksMap = new Map();
				var addedDisksMap = new Map();
				
				<%
				// Set up the client side model	
				
				// Add all disks to the available map
				for(int x = 0; x < disks.length; x++)
				{
				%>
					availableDisksMap.put("<%= disks[x].getId() %>", new DiskObject("<%= disks[x].getId() %>", <%= disks[x].getCapacityGB() %>, "<%= disks[x].getImagePath() %>", "<%= disks[x].getDisplayName() %>"));
				<%
				}
				%>
				
				<%
				}
				%>
				</SCRIPT></div>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="bottom"><hx:commandExButton
						id="btn_back" value="#{bundle.Common_Button_Back}"
						styleClass="scm_button" type="submit"
						action="#{pc_CreatePoolAdvancedNonNested.onBack}">
					</hx:commandExButton> <hx:commandExButton id="btn_next"
						value="#{bundle.Common_Button_Next}" styleClass="scm_button"
						action="#{pc_CreatePoolAdvancedNonNested.showConfirmation}"
						type="submit" onclick="launchConfirmationModal(event);"></hx:commandExButton>
					<hx:commandExButton id="btn_next_hidden"
						value="#{bundle.Common_Button_Next}" style="display:none;"
						type="submit"
						action="#{createPoolAdvancedNonNestedBean.createPool}"
						onclick="showWaitMessage('#{bundle.CreatePoolEasy_Creating_Message}');">
					</hx:commandExButton> <hx:commandExButton id="btn_finish"
						value="#{bundle.Common_Button_Finish}"
						styleClass="scm_button" type="submit" disabled="true">
					</hx:commandExButton> <hx:commandExButton id="btn_cancel"
						value="#{bundle.Common_Button_Cancel}"
						styleClass="scm_button" type="button"
						onclick="parent.getElementByIdSuffix('form1:widzard_btn_cancel','input').click();">
					</hx:commandExButton></td>
				</tr>
			</table>

			<!-- this div will be populated with selected disk IDs -->
			<div id="selectedIdsDiv"></div>

			<!-- EXISITNG POOL NAMES -->
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%--
			<h:outputText id="all_existing_poolnames"
				value="#{createPoolAdvancedNonNestedBean.allExistingPoolNames}"
				style="display:none"></h:outputText>
--%>

			<%-- ******** HIDDEN ERROR MESSAGE **********--%>
<%-- Defect 14677: Pool name input is not shown per UCD SCM_MR_GUI_HLD_10_02_08. Code logic is ready for all actions, to restore the function, simply uncomment the content below --%>
<%--
			<h:outputText id="incorrect_poolname_msg"
				value="#{bundle.CreatePoolEasy_Validation_PoolName_Incorrect}"
				style="display:none"></h:outputText>
			<h:outputText id="duplicate_poolname_msg"
				value="#{bundle.CreatePoolEasy_Validation_PoolName_Duplication}"
				style="display:none"></h:outputText>
			<h:outputText id="null_poolname_msg"
				value="#{bundle.CreatePoolEasy_Validation_PoolName_Null}"
				style="display:none"></h:outputText>
--%>

		</h:form>
		
		<%-- ********************* CONFIRMATION PANEL DIALOG********************** --%>
		<h:outputText id="confirmation_dialog_title" value="#{bundle.CreatePoolConfirmation_DialogTitle}" style="display:none"></h:outputText>
		<jsp:include flush="true" page="/page/common/PanelDialog.jsp"></jsp:include>
		<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
		
		<jsp:include flush="true" page="/page/common/FloatMessage.jsp"></jsp:include>
	</hx:scriptCollector>
</f:view>
</BODY>
</HTML>
