<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/createpool/CreatePoolSummary.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>



<TITLE>Create Storage Pool Summary</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector">
		<h:form id="form1">
		<table class="scm_wizard">
				<tr>
					<td class="left">
						<hx:jspPanel id="progressview_panel1" rendered="#{createPoolEasyBean.launchedFromVolumes}">
							<jsp:include flush="true" page="/page/createvolume/ProgressView.jsp"></jsp:include>
						</hx:jspPanel>
						<hx:jspPanel id="progressview_panel2" rendered="#{!createPoolEasyBean.launchedFromVolumes}">
							<jsp:include flush="true" page="ProgressView.jsp"></jsp:include>
						</hx:jspPanel>
					</td>
					<td class="right">
						<div id="header">
							<TABLE class="scm_titleArea" style="width:100%; cellpadding:5px; height:50px" >
								<TR>
									<TD>
										<h:outputText id="summary_title" styleClass="scm_outputTextTitle2" value="#{bundle.CreatePoolSummary_Title_Description}"></h:outputText>
										<BR> 
										<h:outputText id="summary_title_desc" rendered="#{createPoolSummaryBean.poolCreated}" styleClass="scm_outputText" value="#{bundle.CreatePoolSummary_TitleSummary_Description}"></h:outputText>
										<h:outputText id="summary_title_desc_onfailed" rendered="#{!createPoolSummaryBean.poolCreated}" styleClass="scm_outputText" value="#{bundle.CreatePoolSummary_TitleSummary_Description_Failed}"></h:outputText>
									</TD>
								</TR>
							</TABLE>
						</div>
						<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
						<br/>
						<div id="main">
							<hx:graphicImageEx id="poolArrowImage" tabindex="0" onkeyup="selfClick(this,event);" value="images/expandcollapse/arrow_down.gif" style="cursor: pointer" alt='#{bundle.Common_Expanded}' title='#{bundle.Common_Expanded}'
													onclick="toggleExpandCollapse(this, 'images/expandcollapse/arrow_right.gif', '#{bundle.Common_Collapsed}', 'images/expandcollapse/arrow_down.gif', '#{bundle.Common_Expanded}', 'pool_info_div')"></hx:graphicImageEx>
							<h:outputText id="step_title" styleClass="scm_outputTextTitle3" value="#{bundle.CreatePoolSummary_Step_Title}"></h:outputText>
							<h:graphicImage id="pool_state_success" value="#{createPoolSummaryBean.statusImgPath}" style="margin-bottom:-10px" alt="#{createPoolSummaryBean.statusText}"></h:graphicImage>
							<br/><br/>
							<div id="pool_info_div" style="display:block;">
								<table style="align:left; border-width:0;">
									<tr>
										<td style="padding-left: 15px">
											<h:outputText id="poolname_label" styleClass="scm_outputText" value="#{bundle.CreatePoolSummary_Label_PoolName}"></h:outputText>
										</td>
										<td>
											<h:outputText id="poolname" styleClass="scm_outputText" value="#{createPoolSummaryBean.poolName}"></h:outputText>
											<h:outputText id="status_text" style="margin-left:50px" styleClass="scm_outputText" value="#{createPoolSummaryBean.statusText}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td style="padding-left: 35px">
											<h:outputText id="raidlevel_label" styleClass="scm_outputText" value="#{bundle.CreatePoolSummary_Label_RaidLevel}"></h:outputText>
										</td>
										<td>
											<h:outputText id="raidlevel" styleClass="scm_outputText" value="#{createPoolSummaryBean.raidLevel}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td style="padding-left: 35px">
											<h:outputText id="numberofdisks_label" styleClass="scm_outputText" value="#{bundle.CreatePoolSummary_Label_NumberOfDisks}"></h:outputText>
										</td>
										<td>
											<h:outputText id="disknumber" styleClass="scm_outputText" value="#{createPoolSummaryBean.diskNumber}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td style="padding-left: 35px">
											<h:outputText id="totalcapacity_label" styleClass="scm_outputText" value="#{bundle.CreatePoolSummary_Label_TotalPoolCapacity}"></h:outputText>
										</td>
										<td>
											<h:outputFormat id="capacityGB" value="#{bundle.Common_Capacity_GB}" styleClass="scm_outputText">
												<f:param id="capacity_param1" value="#{createPoolSummaryBean.capacityText}"></f:param>
											</h:outputFormat>
										</td>
									</tr>
								</table>
							</div>
						</div>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="bottom">
						<hx:commandExButton id="btn_back"
							value="#{bundle.Common_Button_Back}"
							styleClass="scm_button"
							type="submit"
							action="#{createPoolSummaryBean.onBack}">
						</hx:commandExButton>
						<hx:commandExButton id="btn_next" styleClass="scm_button"
							value="#{bundle.Common_Button_Next}"
							action="#{createPoolSummaryBean.onNext}"
							type="submit">
						</hx:commandExButton>
						<hx:commandExButton id="btn_finish"
							value="#{bundle.Common_Button_Finish}"
							styleClass="scm_button"
							type="submit" disabled="true">
						</hx:commandExButton>
						<hx:commandExButton id="btn_close"
							value="#{bundle.Common_Button_Close}"
							styleClass="scm_button"
							type="button"
							onclick="parent.getElementByIdSuffix('form1:widzard_btn_cancel','input').click();">
						</hx:commandExButton>
					</td>
				</tr>
			</table>
			<!-- Hidden Areas -->
			<h:outputText id="is_pool_created" style="display:none" value="#{createPoolSummaryBean.poolCreated"></h:outputText>
		</h:form>
		<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
	</hx:scriptCollector>
	<hx:jspPanel id="poolcreated_panel1" rendered="#{!createPoolSummaryBean.poolCreated}">
		<script type="text/javascript">
			$("view:form1:btn_next").disabled = true;
		</script>
	</hx:jspPanel>
	<hx:jspPanel id="poolcreated_panel2" rendered="#{createPoolSummaryBean.poolCreated}">
		<script type="text/javascript">
			$("view:form1:btn_close").disabled = true;
			$("view:form1:btn_back").disabled = true;
		</script>
	</hx:jspPanel>
	</BODY>
</f:view>
</HTML>