<%-- jsf:pagecode language="java" location="/src/pagecode/page/physical/EnclosureProperties.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>

<TITLE>Enclosure Properties</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_EnclosureProperties.onPageLoadBegin}">
		<h:form id="form1">
			<div id="header">
			<table style="width:100%; border-width:0; vertical-align:middle;">
				<tr>
					<td rowspan="2" style="width:10%;"><hx:graphicImageEx
						id="imageHeader" styleClass="graphicImageEx"
						value="/images/components/enclosure_large.gif" alt="#{bundle.Enclosures_EnclosureImage_Alt}"></hx:graphicImageEx></td>
					<td><h:outputText styleClass="scm_outputText"
						style="width:90px; display:block; float:left;" id="head_name"
						value="#{bundle.EnclosureProperties_Label_Name}"></h:outputText>
					<h:outputText styleClass="scm_outputText" id="head_name_value"
						value="#{enclosurePropertiesBean.enclosure.displayName}"
						style="float:left; padding-right:25px;"></h:outputText></td>
					<td style="text-align:right;">
					<a class="scm_plainLink" onclick="javascript:window.open('/help/topic/com.ibm.storage.armr.doc/scm_armr_enclosure_properties.html?noframes=true','PortletHelpWindow','resizable=yes,scrollbars=yes,menubar=no,toolbar=no,status=no,width=450,height=260,screenX=200,screenY=200,top=200,left=200').focus(); return false;" target="_blank" style="" href="/help/topic/com.ibm.storage.armr.doc/scm_armr_enclosure_properties.html?noframes=true">
						<h:outputText id="link_text" value="#{bundle.Common_Link_Help}"></h:outputText>
					</a>
					</td>
				</tr>
				<tr>
					<td><h:outputText styleClass="scm_outputText"
						style="width:90px; display:block; float:left;" id="head_status"
						value="#{bundle.EnclosureProperties_Label_Status}"></h:outputText>
					<hx:graphicImageEx id="head_status_img"
						value="#{enclosurePropertiesBean.enclosure.statusImgPath}"
						style="margin-bottom:-2px; margin-left:-2px; float:left;" alt=""></hx:graphicImageEx>
					<h:outputText styleClass="scm_outputText" id="head_status_value"
						value="#{enclosurePropertiesBean.enclosure.statusText}"
						style="float:left; padding-right:25px;"></h:outputText></td>
				</tr>
			</table>
			</div>
			</br>
			<div id="main"><odc:tabbedPanel
				styleClass="scm_tabbedPanel_top" width="100%"
				variableTabLength="true" showBackNextButton="false" showTabs="true"
				id="tabbedPanel" height="250" id="enclosure_properties_tab_panel">
				<odc:bfPanel id="enclosure_properties_general"
					name="#{bundle.EnclosureProperties_Tab_General}"
					showFinishCancelButton="false">
					<table>
						<tr>
							<td><h:outputText id="slot_count_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_TotalSlots}"></h:outputText>
							</td>
							<td><h:outputText id="slot_count"
								styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.slotCount}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td><h:outputText id="installed_drives_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_InstalledDrives}"></h:outputText>
							</td>
							<td><h:outputText
								id="installed_drives" styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.driveCount}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td>
							<h:outputText id="empty_slots_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_EmptySlots}"></h:outputText>
							</td>
							<td><h:outputText id="poolname"
								styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.emptySlotCount}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td>
							<h:outputText id="fans_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_NumberOfFans}"></h:outputText>
							</td>
							<td><h:outputText id="fans"
								styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.fanCount}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td>
							<h:outputText id="powers_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_NumberOfPowers}"></h:outputText>
							</td>
							<td><h:outputText id="powers"
								styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.powerSupplyCount}"></h:outputText>
							</td>
						</tr>
						<hx:jspPanel id="properties_for_bcs_part1" rendered="#{enclosurePropertiesBean.enclosure.SMChassis}">
						<tr>
							<td>
							<h:outputText id="firmware_level_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_FirmwareVersion}"></h:outputText>
							</td>
							<td><h:outputText id="firmware_level"
								styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.firmware}"></h:outputText>
							</td>
						</tr>	
						</hx:jspPanel>					
						<tr>
							<td colspan="2">
							<h:outputText id="physical_location_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_PhysicalLocation}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="enclosure_identifier_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_Enclosure}"></h:outputText>
							</td>
							<td>
							<h:outputText id="enclosure_identifier"
								styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.enclosureIdentifier}"></h:outputText>
							
							</td>
						</tr>
						<tr>
							<td colspan="2">
							<h:outputText id="product_numbers_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_ProductNumbers}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="product_identifier_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_Productidentifier}"></h:outputText>
							</td>
							<td>
							<h:outputText id="product_identifier"
								styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.productIdentifier}"></h:outputText>
							
							</td>
						</tr>
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="manufacturer_identifier_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_Manufactureridentifier}"></h:outputText>
							</td>
							<td>
							<h:outputText id="manufacturer_identifier"
								styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.manufacturerIdentifier}"></h:outputText>
							</td>
						</tr>
						<hx:jspPanel id="properties_for_bcs_part2" rendered="#{enclosurePropertiesBean.enclosure.SMChassis}">
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="fru_number_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_FRUNumber}"></h:outputText>
							</td>
							<td>
							<h:outputText id="fru_number"
								styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.fruNumber}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="fru_serialnumber_label"
								styleClass="scm_outputText"
								value="#{bundle.EnclosureProperties_General_Label_FRUSerialNumber}"></h:outputText>
							</td>
							<td>
							<h:outputText id="fru_serialnumber"
								styleClass="scm_outputText"
								value="#{enclosurePropertiesBean.enclosure.fruSerialNumber}"></h:outputText>
							</td>
						</tr>
						</hx:jspPanel>
					</table>
				</odc:bfPanel>
				<f:facet name="back">
					<hx:commandExButton type="submit" value="&lt; Back"
						id="tabbedPanel_back" style="display:none"></hx:commandExButton>
				</f:facet>
				<f:facet name="next">
					<hx:commandExButton type="submit" value="Next &gt;"
						id="tabbedPanel_next" style="display:none"></hx:commandExButton>
				</f:facet>
				<f:facet name="finish">
					<hx:commandExButton type="submit" value="Finish"
						id="tabbedPanel_finish" style="display:none"></hx:commandExButton>
				</f:facet>
				<f:facet name="cancel">
					<hx:commandExButton type="submit" value="Cancel"
						id="tabbedPanel1sscancel" style="display:none"></hx:commandExButton>
				</f:facet>
			</odc:tabbedPanel></div>
			<br>
			<div id="footer"><hx:commandExButton type="button"
				styleClass="scm_button" value="#{bundle.Common_Button_Close}"
				id="btn_close" onclick="parent.panelDialogObj.closeDialog()">
			</hx:commandExButton></div>
		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>