<%-- jsf:pagecode language="java" location="/src/pagecode/page/physical/PhysicalResourcesView.java" --%><%-- /jsf:pagecode --%>
<%@ include file="/page/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ page language="java" contentType="text/html" pageEncoding="UTF-8" session="false"%>
<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>

<portlet:defineObjects />

<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/scmstyle.css") %>" title="Style">

<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/common.js") %>"></SCRIPT>

<f:view>

	<hx:jspPanel id="jsp_panel">
		<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/PortletPreviousSelectedTab.js") %>"></SCRIPT>
		<%@include file="/page/common/PortletPreviousSelectedTab.jsp"%>
	</hx:jspPanel>

	<BODY>
	<hx:scriptCollector id="collector" preRender="#{pc_PhysicalResourcesView.receiveHatParam}" >
	
	<h:form id="form1">

	<div id="staticLoadingDiv">
	<iframe id="staticLoadingFrame" name="staticLoadingFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Static_Loading_Frame_Title, null)%>" style="height:400px;" width="100%"  scrolling="no" frameborder="0" src="<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/physical/PhysicalResourcesStaticLoadingView.jsp") %>" onload="resizeFrameHeight('staticLoadingFrame', 'staticLoadingFrame');"></iframe>
	</div>
	
	<div id="dynamicDiv">
	<iframe id="dynamicFrame" name="dynamicFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Dynamic_Frame_Title, null)%>" style="height: 1px;" width="100%" scrolling="no" frameborder="0" onload="stopShellLoading()" src="<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/physical/PhysicalResources.jsp") %>"></iframe>
	</div>
	
	<!-- **************** Hiddent inputs below are for the navigation purpose *************** -->
	<hx:commandExButton id="btn_diskdrive_tab_create_pool" style="display: none" value="diskdrive_create_pool" action="#{pc_PhysicalResourcesView.doBtn_disk_tab_create_poolAction}" type="submit"></hx:commandExButton>
    
	</h:form>
	</hx:scriptCollector>
	</BODY>
	
</f:view>

