<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/AssignGlobalHotSpare.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/storage/AssignGlobalHotSpare.js"></SCRIPT>

<TITLE>Assign A Global Hot Spare</TITLE>

</HEAD>
<f:view>
	<BODY onload="inlineMessagesAjaxObj.delayFetchMessages(200);">
	<jsp:include flush="true" page="/page/common/InlineMessagesAjax.jsp"></jsp:include>
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_AssignGlobalHotSpare.onPageLoadBegin}">
		<h:form id="form1">
			<div><h:outputText id="prompt_description"
				value="#{bundle.AssignGlobalHotSpare_Prompt_Description}"
				styleClass="scm_outputText"></h:outputText></div>
			<br>
			<div><h:outputText id="table_title"
				value="#{bundle.AssignGlobalHotSpare_Title_Drives}"
				styleClass="scm_outputTextTitle2"></h:outputText></div>
			<hx:jspPanel id="jsp_panel"
				rendered="#{!pc_AssignGlobalHotSpare.ajaxed && !assignGlobalHotSpareBean.noAvailableDiskDrive}">
			<div id="table_header_div" class="scm_DataTableHeader_Div"> 
			<hx:dataTableEx
				id="global_disks_table_header" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
				rendered="true">
				<hx:columnEx id="checkbox_col_header">
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="logical_identifier_col_header">
					<f:facet name="header">
						<h:outputText id="logical_identifier_header"
							styleClass="scm_outputText"
							value="#{bundle.AssignGlobalHotSpare_TableHeader_LogicalIdentifier}"></h:outputText>
					</f:facet>
					<f:attribute value="35%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="disk_status_col_header">
					<f:facet name="header">
						<h:outputText id="disk_status_header" styleClass="scm_outputText"
							value="#{bundle.AssignGlobalHotSpare_TableHeader_Status}"></h:outputText>
					</f:facet>
					<f:attribute value="15%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="raw_col_header">
					<f:facet name="header">

						<h:outputText id="raw_header" styleClass="scm_outputText"
							value="#{bundle.AssignGlobalHotSpare_TableHeader_RawGB}"></h:outputText>
					</f:facet>
					<f:attribute value="12%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="type_col_header">
					<f:facet name="header">
						<h:outputText id="type_header" styleClass="scm_outputText"
							value="#{bundle.AssignGlobalHotSpare_TableHeader_Type}"></h:outputText>
					</f:facet>
					<f:attribute value="10%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="state_col_header">
					<f:facet name="header">
						<h:outputText id="state_header" styleClass="scm_outputText"
							value="#{bundle.AssignGlobalHotSpare_TableHeader_State}"></h:outputText>
					</f:facet>
					<f:attribute value="25%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx>
			</div>	
			</hx:jspPanel>
			<div style="width:100%; height:210px; overflow-y:auto"><hx:dataTableEx
				id="global_disks_table" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="border-top: 0px; table-layout: fixed;"
				value="#{assignGlobalHotSpareBean.availableDiskDrives}"
				var="diskDrive" summary="#{bundle.AssignGlobalHotSpare_AvailableDisks_Table_Summary}"
				rendered="#{!pc_AssignGlobalHotSpare.ajaxed && !assignGlobalHotSpareBean.noAvailableDiskDrive}">
				<hx:columnEx id="checkbox_col">
					<hx:inputRowSelect id="selected_cell" noscript="true" title="#{diskDrive.logicalIdentifier}"
						selectOne="false" value="false"></hx:inputRowSelect>
					<h:inputHidden id="id_cell" value="#{diskDrive.id}"></h:inputHidden>
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="logical_identifier_col">
					<f:facet name="header">
						<h:outputText id="logical_identifier_tbody_header"
							styleClass="scm_outputText"
							value="#{bundle.AssignGlobalHotSpare_TableHeader_LogicalIdentifier}"></h:outputText>
					</f:facet>
					<h:outputText id="logical_identifier_cell"
						value="#{diskDrive.logicalIdentifier}" styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="35%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="disk_status_col">
					<f:facet name="header">
						<h:outputText id="disk_status_tbody_header" styleClass="scm_outputText"
							value="#{bundle.AssignGlobalHotSpare_TableHeader_Status}"></h:outputText>
					</f:facet>
					<hx:graphicImageEx id="cell_status_img" rendered="#{!diskDrive.statusNormal}"
						value="#{diskDrive.statusImgPath}" alt="#{diskDrive.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
					<hx:graphicImageEx id="cell_status_img_blank" rendered="#{diskDrive.statusNormal}"
						value="/images/status/none_16.gif" alt="#{diskDrive.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
					<h:outputText id="disk_status_cell" value="#{diskDrive.statusText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="15%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="raw_col">
					<f:facet name="header">
						<h:outputText id="raw_tbody_header" styleClass="scm_outputText"
							value="#{bundle.AssignGlobalHotSpare_TableHeader_RawGB}"></h:outputText>
					</f:facet>
					<h:outputText id="raw_cell" value="#{diskDrive.rawCapacityText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="12%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="type_col">
					<f:facet name="header">
						<h:outputText id="type_tbody_header" styleClass="scm_outputText"
							value="#{bundle.AssignGlobalHotSpare_TableHeader_Type}"></h:outputText>
					</f:facet>
					<h:outputText id="type_cell" value="#{diskDrive.type}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="10%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="state_col">
					<f:facet name="header">
						<h:outputText id="state_tbody_header" styleClass="scm_outputText"
							value="#{bundle.AssignGlobalHotSpare_TableHeader_State}"></h:outputText>
					</f:facet>
					<hx:graphicImageEx id="stateimg_cell"
						value="#{diskDrive.stateImgPath}" alt=""
						style="margin-bottom:-2px;"></hx:graphicImageEx>
					<h:outputText id="state_cell" value="#{diskDrive.stateText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="25%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx> 
			<h:panelGroup id="nodiskdrive_panel"
				rendered="#{!pc_AssignGlobalHotSpare.ajaxed && assignGlobalHotSpareBean.noAvailableDiskDrive}">
				<h:outputText id="nodiskdrive_desc"
					value="#{bundle.AssignGlobalHotSpare_NoAvailableDisks_Message}"
					styleClass="scm_outputText"></h:outputText>
			</h:panelGroup>
			</div>
			<br>
			<table>
				<tbody>
					<tr>
						<td style="width:30%; padding-right:10px;"><hx:commandExButton
							id="ok_btn" value="#{bundle.Common_OK}" type="button"
							onclick="assignGlobalHotSpareObj.onOKBtnClick(this,event)"
							styleClass="scm_button"></hx:commandExButton></td>
						<td><hx:commandExButton id="cancel_btn"
							value="#{bundle.Common_Cancel}" type="button" 
							onclick="assignGlobalHotSpareObj.onCancelBtnClick(this,event)" styleClass="scm_button"></hx:commandExButton>
						</td>
						<td>
						<div id="loading_div" style="display:none;"><img
							src="images\loading\loading_large.gif" alt=""
							style="margin-bottom:-5px;"></img></div>
						</td>
					</tr>
				</tbody>
			</table>
			<br>
			<br>
			<%-- ***************HIDDEN FIELD****************** --%>
			<h:inputHidden id="diskdrive_ids" value=""></h:inputHidden>

			<%-- Ajax request to assign spare --%>
			<hx:commandExButton id="assign_spare_launcher" type="button" value="Click"
				style="display:none;">
				<hx:behavior id="assign_spare_behavior" event="onclick" behaviorAction="get"
					targetAction="assign_spare_panel"></hx:behavior>
			</hx:commandExButton>

			<h:panelGroup id="assign_spare_panel" style="display:none;">
					<hx:ajaxRefreshSubmit id="assign_spare_ajax_submit" 
						oncomplete="assignGlobalHotSpareObj.onAssignSpareComplete();"
						onerror="assignGlobalHotSpareObj.onAssignSpareError();"
						onstart="assignGlobalHotSpareObj.onAssignSpareStart();">
					</hx:ajaxRefreshSubmit>
					<h:outputText id="assign_succeed" value="#{assignGlobalHotSpareBean.assignSucceed}" style="display:none"></h:outputText>
			</h:panelGroup>

		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
<script language="javascript">
assignGlobalHotSpareObj.init();
dataTableObj.init(AssignGlobalHotSpare.VIEW_FORM_ID+":global_disks_table",assignGlobalHotSpareObj.changeOkBtn,DataTable.MULTI);
dataTableObj.initHeaderDivPaddingWidth(AssignGlobalHotSpare.VIEW_FORM_ID+":global_disks_table");
</script>
