<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/PoolProperties.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>

<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>

<SCRIPT type="text/javascript" src="page/storage/PoolProperties.js"></SCRIPT>

<TITLE>Storage Pool Properties</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_PoolProperties.onPageLoadBegin}">
		<%-- ***************INCLUDE  AREA******************* --%>
		<jsp:include page="/page/allresources/LocateShell.jsp" flush="true"></jsp:include>
	
		<h:form id="form1">
			<div id="header">
			<table style="width:100%; border-width:0; vertical-align:middle;">
				<tr>
					<td rowspan="2" style="width:10%;"><hx:graphicImageEx
						id="imageHeader" styleClass="graphicImageEx"
						value="/images/components/pool_medium.gif" alt="#{bundle.PoolProperties_PoolImage_Alt}"></hx:graphicImageEx></td>
					<td><h:outputText styleClass="scm_outputText"
						style="width:90px; display:block; float:left;" id="head_name"
						value="#{bundle.PoolProperties_Header_Label_Name}"></h:outputText>
					<h:outputText styleClass="scm_outputText" id="head_name_value"
						value="#{poolPropertiesBean.pool.poolName}"
						style="float:left; padding-right:25px;"></h:outputText></td>
					<td style="text-align:right;">
					<a class="scm_plainLink" onclick="javascript:window.open('/help/topic/com.ibm.storage.armr.doc/scm_armr_storage_pool_prop.html?noframes=true','PortletHelpWindow','resizable=yes,scrollbars=yes,menubar=no,toolbar=no,status=no,width=450,height=260,screenX=200,screenY=200,top=200,left=200').focus(); return false;" target="_blank" style="" href="/help/topic/com.ibm.storage.armr.doc/scm_armr_storage_pool_prop.html?noframes=true">
						<h:outputText id="link_text" value="#{bundle.Common_Link_Help}"></h:outputText>
					</a>
					</td>
				</tr>
				<tr>
					<td><h:outputText styleClass="scm_outputText"
						style="width:90px; display:block; float:left;" id="head_status"
						value="#{bundle.PoolProperties_Header_Label_Status}"></h:outputText>
					<hx:graphicImageEx id="head_status_img"
						value="#{poolPropertiesBean.pool.statusImgPath}"
						style="margin-bottom:-2px; margin-left:-2px; float:left;" alt=""></hx:graphicImageEx>
					<h:outputText styleClass="scm_outputText" id="head_status_value"
						value="#{poolPropertiesBean.pool.statusText}"
						style="float:left; padding-right:25px;"></h:outputText></td>
				</tr>
			</table>
			</div>
			</br>
			<div id="main"><odc:tabbedPanel
				styleClass="scm_tabbedPanel_top" width="100%"
				variableTabLength="true" showBackNextButton="false" showTabs="true"
				id="tabbedPanel" height="250" id="poolproperties_tab_panel">
				<odc:bfPanel id="poolproperties_general"
					name="#{bundle.PoolProperties_Tab_General}"
					showFinishCancelButton="false">
					<table>
						<tr>
							<td><h:outputText id="raid_level_label"
								styleClass="scm_outputText"
								value="#{bundle.PoolProperties_General_Label_RAIDLevel}"></h:outputText>
							</td>
							<td><h:outputText id="raid_level"
								styleClass="scm_outputText"
								value="#{poolPropertiesBean.pool.raidLevel}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td><h:outputText id="spare_label"
								styleClass="scm_outputText"
								value="#{bundle.PoolProperties_General_Label_SpareCoverage}"></h:outputText>
							</td>
							<td>
								<hx:graphicImageEx id="dedicated_spareimg_cell" value="/images/spare/dedicated_spare.gif"
									alt="" rendered="#{poolPropertiesBean.pool.dedicatedSpared}" style="margin-bottom:-2px;"></hx:graphicImageEx>
								<h:outputText id="dedicated_sparetext_cell" rendered="#{poolPropertiesBean.pool.dedicatedSpared}" styleClass="scm_outputText"
									value="#{poolPropertiesBean.pool.dedicatedSpareText}">
								</h:outputText>
								<h:outputText id="seperator" rendered="#{poolPropertiesBean.pool.dedicatedSpared && poolPropertiesBean.pool.globalSpared}" styleClass="scm_outputText"
									value="#{bundle.Common_Comma}">
								</h:outputText>
								<hx:graphicImageEx id="global_spareimg_cell" value="/images/spare/global_spare.gif"
									alt="" rendered="#{poolPropertiesBean.pool.globalSpared}" style="margin-bottom:-2px;"></hx:graphicImageEx>
								<h:outputText id="global_sparetext_cell" rendered="#{poolPropertiesBean.pool.globalSpared}" styleClass="scm_outputText"
									value="#{poolPropertiesBean.pool.globalSpareText}">
								</h:outputText>
								<h:outputText id="none_sparetext_cell" rendered="#{!poolPropertiesBean.pool.dedicatedSpared && !poolPropertiesBean.pool.globalSpared}" styleClass="scm_outputText"
									value="#{bundle.StoragePools_Spare_None}">
								</h:outputText>
							</td>
						</tr>
						<tr>
							<td><h:outputText id="defined_volumes_label"
								styleClass="scm_outputText"
								value="#{bundle.PoolProperties_General_Label_DefinedVolumes}"></h:outputText>
							</td>
							<td><h:outputText id="defined_volumes"
								styleClass="scm_outputText"
								value="#{poolPropertiesBean.pool.volumeQuantity}"></h:outputText>
							</td>
						</tr>
					</table>
					<table>
						<tr>
							<td>
								<h:outputText styleClass="scm_outputTextTitle3" id="storage_pool_capacity_title" value="#{bundle.PoolProperties_Percentage_StoragePoolCapacity_Title}"></h:outputText>
							</td>
						</tr>
					</table>
					<table id="pool_percentage_table">
						<tr >
							<td rowspan="4" style="padding-right:5px;">
								<hx:graphicImageEx id="pool_pie_percentage_img" value="#{poolPropertiesBean.pool.allocatedPoolPercentagePieImgPath}" alt="#{poolPropertiesBean.pool.allocatedPoolPieImageAlt}"></hx:graphicImageEx>
							</td>
						</tr>
						<tr>
							<td style="padding-left:5px;">
								<h:outputText styleClass="scm_outputText" id="total_pool" value="#{bundle.PoolProperties_Percentage_PoolTotalCapacity}"></h:outputText>
								<h:outputText styleClass="scm_outputText" id="total_pool_capacity" value="#{poolPropertiesBean.pool.totalCapacityTextWithGB}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td style="border-width:1px; border-style:solid; border-color:#000000; padding-left:5px;">
								<hx:graphicImageEx id="pool_allocated_capacity_legend" value="/images/capacity/pie_legend_dark.gif" alt=""></hx:graphicImageEx>
								<h:outputText styleClass="scm_outputText" id="poolallocated_name" value="#{bundle.PoolProperties_Percentage_Allocated}"></h:outputText>
								(<h:outputText styleClass="scm_outputText" id="poolallocated_capacity" value="#{poolPropertiesBean.pool.allocatedCapacityTextWithGB}"></h:outputText>)
							<br>
								<hx:graphicImageEx id="pool_available_capacity_legend" value="/images/capacity/pie_legend_light.gif" alt=""></hx:graphicImageEx>
								<h:outputText styleClass="scm_outputText" id="poolavailable_name" value="#{bundle.PoolProperties_Percentage_Available}"></h:outputText>
								(<h:outputText styleClass="scm_outputText" id="poolavailable_capacity" value="#{poolPropertiesBean.pool.availableCapacityTextWithGB}"></h:outputText>)
							</td>
						</tr>
						<tr>
							<td style="padding-left:5px;">
								<h:outputFormat id="available_pool_percentage_txt" value="#{bundle.PoolProperties_Percentage_PoolAllocated_Description}" styleClass="scm_outputText">
									<f:param id="allocated_pool_percentage" value="#{poolPropertiesBean.pool.allocatedPoolPercentageText}"></f:param>
								</h:outputFormat>
							</td>
						</tr>
					</table>
					<br>
					<table>
						<tr>
							<td>
								<h:outputText styleClass="scm_outputTextTitle3" id="subsystem_capacity_title" value="#{bundle.PoolProperties_Percentage_SubsystemUsedByPool_Title}"></h:outputText>
							</td>
						</tr>
					</table>
					<table id="subsystem_percentage_table">
						<tr >
							<td rowspan="3" style="padding-right:5px;">
								<hx:graphicImageEx id="subsystem_pie_percentage_img" value="#{poolPropertiesBean.pool.poolPercentageOnSubsystemPieImgPath}" alt="#{poolPropertiesBean.pool.poolPercentageOnSubsystemPieImageAlt}"></hx:graphicImageEx>
							</td>
						</tr>
						<tr >
							<td style="border-width:1px; border-style:solid; border-color:#000000; padding-left:5px;">
								<hx:graphicImageEx id="pool_total_capacity_legend" value="/images/capacity/pie_legend_dark.gif" alt=""></hx:graphicImageEx>
								<h:outputText styleClass="scm_outputText" id="pool_total_name" value="#{poolPropertiesBean.pool.poolName}"></h:outputText>
								(<h:outputText styleClass="scm_outputText" id="pool_total_capacity" value="#{poolPropertiesBean.pool.totalCapacityTextWithGB}"></h:outputText>)
							<br>
								<hx:graphicImageEx id="subsystem_capacity_legend" value="/images/capacity/pie_legend_light.gif" alt=""></hx:graphicImageEx>
								<h:outputText styleClass="scm_outputText" id="subsystem_name" value="#{bundle.PoolProperties_Percentage_Subsystem}"></h:outputText>
								(<h:outputText styleClass="scm_outputText" id="subsystem_capacity" value="#{poolPropertiesBean.pool.subSystemTotalCapacityTextWithGB}"></h:outputText>)
							</td>
						</tr>
						<tr>
							<td style="padding-left:5px;">
								<h:outputFormat id="subsystem_percentage_txt" value="#{bundle.PoolProperties_Percentage_PoolOnSubsystem_Description}" styleClass="scm_outputText">
									<f:param id="subsystem_percentage" value="#{poolPropertiesBean.pool.poolPercentageOnSubsystemText}"></f:param>
								</h:outputFormat>
							</td>
						</tr>
					</table>
				</odc:bfPanel>
				<odc:bfPanel id="poolproperties_volumes"
					name="#{bundle.PoolProperties_Tab_Volumes}"
					onenter="poolPropertiesObj.onTabEnter(this, event);"
					showFinishCancelButton="false">
					<div id="table_header_div_volume" class="scm_DataTableHeader_Div">
					<hx:dataTableEx
						id="volumes_table_header" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
						rendered="true">
						<hx:columnEx id="volumename_col_header">
							<f:facet name="header">
									<h:outputText id="volumename_header"
										styleClass="scm_outputText"
										value="#{bundle.PoolProperties_Volumes_TableHeader_Name}"></h:outputText>
							</f:facet>
							<f:attribute value="40%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="totalcapacity_col_header">
							<f:facet name="header">
									<h:outputText id="totalcapacity_header"
										styleClass="scm_outputText"
										value="#{bundle.PoolProperties_Volumes_TableHeader_TotalCapacity}"></h:outputText>
							</f:facet>
							<f:attribute value="30%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="volume_status_col_header">
							<f:facet name="header">
								<h:outputText id="volume_status_header"
									styleClass="scm_outputText"
									value="#{bundle.PoolProperties_Volumes_TableHeader_Status}"></h:outputText>
							</f:facet>
							<f:attribute value="30%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
					</hx:dataTableEx>
					</div>
					<div style="width:100%; height:200px; overflow-y:auto"><hx:dataTableEx
						id="volumes_table" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						value="#{poolPropertiesBean.pool.volumes}" var="volume"
						style="border-top: 0px; table-layout: fixed;"
						summary="#{bundle.PoolProperties_Volumes_Table_Summary}"
						rendered="#{!poolPropertiesBean.pool.noVolume}">
						<hx:columnEx id="volumename_col">
							<f:facet name="header">
									<h:outputText id="volumename_body_header"
										styleClass="scm_outputText"
										value="#{bundle.PoolProperties_Volumes_TableHeader_Name}"></h:outputText>
							</f:facet>
							<h:outputText id="volumename_cell" styleClass="scm_outputText"
								value="#{volume.volumeName}">
							</h:outputText>
							<f:attribute value="40%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="totalcapacity_col">
							<f:facet name="header">
									<h:outputText id="totalcapacity_body_header"
										styleClass="scm_outputText"
										value="#{bundle.PoolProperties_Volumes_TableHeader_TotalCapacity}"></h:outputText>
							</f:facet>
							<h:outputText id="totalcapacity_cell" styleClass="scm_outputText"
								value="#{volume.totalCapacityText}">
							</h:outputText>
							<f:attribute value="30%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="volume_status_col">
							<f:facet name="header">
								<h:outputText id="volume_status_body_header"
									styleClass="scm_outputText"
									value="#{bundle.PoolProperties_Volumes_TableHeader_Status}"></h:outputText>
							</f:facet>
							<hx:graphicImageEx id="cell_status_img" rendered="#{!volume.statusNormal}"
								value="#{volume.statusImgPath}" alt="#{volume.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
							<hx:graphicImageEx id="cell_status_img_blank" rendered="#{volume.statusNormal}"
								value="/images/status/none_16.gif" alt="#{volume.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
							<h:outputText id="volume_status_cell"
								value="#{volume.statusText}" styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="30%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
					</hx:dataTableEx> 
					<hx:jspPanel id="novolume_panel" rendered="#{poolPropertiesBean.pool.noVolume}">
								<table
									style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
									<tr>
										<td><h:outputText id="novolume_desc"
									value="#{bundle.PoolProperties_NoVolume_Description}"
									styleClass="scm_outputText"></h:outputText></td>
									</tr>
								</table>
					</hx:jspPanel>
					</div>
				</odc:bfPanel>
				<odc:bfPanel id="poolproperties_diskdrives"
					name="#{bundle.PoolProperties_Tab_DiskDrives}"
					onenter="poolPropertiesObj.onTabEnter(this, event);"
					showFinishCancelButton="false">
					<div style="width:100%;"><h:outputText id="summary"
						value="#{bundle.PoolProperties_DiskDrives_Summary_DiskDrives}"
						styleClass="scm_outputText"></h:outputText></div>
					</br>
					<table style="width:100%;padding:5px 0px 7px 0px;"
						class="scm_DataTable_ActionArea">
						<tr>
							<td><hx:commandExButton id="locatedrive_btn"
								value="#{bundle.PoolProperties_DiskDrives_Button_LocateDrives}"
								 styleClass="scm_button" type="button" onclick="poolPropertiesObj.onClickLocateDrivesBtn(this,event);"></hx:commandExButton>
							</td>
						</tr>
					</table>
					<div id="table_header_div_disk" class="scm_DataTableHeader_Div">
					<hx:dataTableEx
						id="diskdrives_table_header" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						style="border-top: 0px; border-bottom: 0px; table-layout: fixed;" 
						rendered="true">
						<hx:columnEx id="checkbox_col_header">
							<f:attribute value="5%" name="width" />
							<f:attribute value="center" name="align" />
						</hx:columnEx>
						<hx:columnEx id="diskdrivename_col_header">
							<f:facet name="header">
									<h:outputText id="diskdrivename_header"
										styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_DiskDrive}"></h:outputText>
							</f:facet>
							<f:attribute value="20%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="location_col_header">
							<f:facet name="header">
									<h:outputText id="location_header" styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_Location}"></h:outputText>
							</f:facet>
							<f:attribute value="17%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="disk_status_col_header">
							<f:facet name="header">
									<h:outputText id="disk_status_header"
										styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_Status}"></h:outputText>
							</f:facet>
							<f:attribute value="15%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="raw_col_header">
							<f:facet name="header">
									<h:outputText id="raw_header" styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_RawCapacity}"></h:outputText>
							</f:facet>
							<f:attribute value="18%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="type_col_header">
							<f:facet name="header">
									<h:outputText id="type_header" styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_Type}"></h:outputText>
							</f:facet>
							<f:attribute value="10%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="state_col_header">
							<f:facet name="header">
									<h:outputText id="state_header" styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_State}"></h:outputText>
							</f:facet>
							<f:attribute value="15%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
					</hx:dataTableEx> 
					</div>
					<div style="width:100%; height:120px; overflow-y:auto"><hx:dataTableEx
						id="diskdrives_table" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						value="#{poolPropertiesBean.pool.diskDrives}" var="diskDrive"
						style="border-top: 0px; table-layout: fixed;"
						summary="#{bundle.PoolProperties_DiskDrives_Table_Summary}"
						rendered="#{!poolPropertiesBean.pool.noDiskDrive}">
						<hx:columnEx id="checkbox_col">
							<hx:inputRowSelect id="selected_cell" noscript="true" title="#{diskDrive.diskDriveName}"
								selectOne="false" value="false"></hx:inputRowSelect>
							<h:inputHidden id="id_cell" value="#{diskDrive.diskDriveId}"></h:inputHidden>
							<f:attribute value="5%" name="width" />
							<f:attribute value="center" name="align" />
						</hx:columnEx>
						<hx:columnEx id="diskdrivename_col">
							<f:facet name="header">
									<h:outputText id="diskdrivename_body_header"
										styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_DiskDrive}"></h:outputText>
							</f:facet>
							<h:outputText id="diskdrivename_cell"
								value="#{diskDrive.diskDriveName}" styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="20%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="location_col">
							<f:facet name="header">
									<h:outputText id="location_body_header" styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_Location}"></h:outputText>
							</f:facet>
							<h:outputText id="location_cell" styleClass="scm_outputText"
								value="#{diskDrive.location}">
							</h:outputText>
							<f:attribute value="17%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="disk_status_col">
							<f:facet name="header">
									<h:outputText id="disk_status_body_header"
										styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_Status}"></h:outputText>
							</f:facet>
							<hx:graphicImageEx id="cell_status_img" rendered="#{!diskDrive.statusNormal}"
								value="#{diskDrive.statusImgPath}" alt="#{diskDrive.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
							<hx:graphicImageEx id="cell_status_img_blank" rendered="#{diskDrive.statusNormal}"
								value="/images/status/none_16.gif" alt="#{diskDrive.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
							<h:outputText id="disk_status_cell"
								value="#{diskDrive.statusText}" styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="15%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="raw_col">
							<f:facet name="header">
									<h:outputText id="raw_body_header" styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_RawCapacity}"></h:outputText>
							</f:facet>
							<h:outputText id="raw_cell" value="#{diskDrive.rawCapacityText}"
								styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="18%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="type_col">
							<f:facet name="header">
									<h:outputText id="type_type_header" styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_Type}"></h:outputText>
							</f:facet>
							<h:outputText id="type_cell" value="#{diskDrive.type}"
								styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="10%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="state_col">
							<f:facet name="header">
									<h:outputText id="state_body_header" styleClass="scm_outputText"
										value="#{bundle.PoolProperties_DiskDrives_TableHeader_State}"></h:outputText>
							</f:facet>
							<hx:graphicImageEx id="stateimg_cell"
								value="#{diskDrive.stateImgPath}" alt=""
								style="margin-bottom:-2px;"></hx:graphicImageEx>
							<h:outputText id="state_cell" value="#{diskDrive.stateText}"
								styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="15%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
					</hx:dataTableEx> 
					<hx:jspPanel id="nodiskdrive_panel" rendered="#{poolPropertiesBean.pool.noDiskDrive}">
								<table
									style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
									<tr>
										<td><h:outputText id="nodiskdrive_desc"
									value="#{bundle.PoolProperties_NoDiskDrive_Description}"
									styleClass="scm_outputText"></h:outputText></td>
									</tr>
								</table>
					</hx:jspPanel>
					</div>
				</odc:bfPanel>
				<f:facet name="back">
					<hx:commandExButton type="submit" value="&lt; Back"
						id="tabbedPanel_back" style="display:none"></hx:commandExButton>
				</f:facet>
				<f:facet name="next">
					<hx:commandExButton type="submit" value="Next &gt;"
						id="tabbedPanel_next" style="display:none"></hx:commandExButton>
				</f:facet>
				<f:facet name="finish">
					<hx:commandExButton type="submit" value="Finish"
						id="tabbedPanel_finish" style="display:none"></hx:commandExButton>
				</f:facet>
				<f:facet name="cancel">
					<hx:commandExButton type="submit" value="Cancel"
						id="tabbedPanel1sscancel" style="display:none"></hx:commandExButton>
				</f:facet>
			</odc:tabbedPanel></div>
			<br>
			<div id="footer"><hx:commandExButton type="button"
				 styleClass="scm_button" value="#{bundle.Common_Button_Close}"
				id="btn_close" onclick="parent.panelDialogObj.closeDialog()">
			</hx:commandExButton></div>
		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
<script language="javascript">
dataTableObj.init("view:form1:diskdrives_table",poolPropertiesObj.refreshLocateDrivesBtn,DataTable.MULTI);
poolPropertiesObj.init();
</script>
