<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/UnassignPoolDedicatedHotSpareStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>

<TITLE>Unassign A Dedicated Hot Spare</TITLE>

</HEAD>
<f:view>
	<!-- simulate a checkbox click to disable the OK button -->
	<BODY>
	
	<hx:scriptCollector id="scriptCollector">
		
		<h:form id="form1">
			
						
			<h:outputText id="pool_prompt_description" value="#{bundle.UnassignDedicatedHotSpare_Prompt_SelectPool}" styleClass="scm_outputText"></h:outputText>
			
			<%-- --------------------------------- SELECTED POOL TABLE  --------------------------------- --%>
			<TABLE width='100%' class='scm_DataTable' cellpadding='0' cellspacing='0'>
		    <TBODY>
		    <TR>
		    	<TH class="scm_DataTable_Header" width="20%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="poolname_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_StoragePool}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="20%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="raidlevel_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_RaidLevel}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="20%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="spare_header" styleClass="scm_outputText"value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_SpareCoverage}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="30%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="volumes_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_ExistingVolumes}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="30%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="total_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_TotalCapacity}"></h:outputText>
		    		</DIV>
		    	</TH>
		    </TR>
		    <TR class="scm_DataTable_Row">
			    <TD colspan="5">
					<table>
						<tr>
							<td>
								<hx:graphicImageEx id="poolTableLoading" value="images/loading/loading_large.gif" alt=""></hx:graphicImageEx>
							</td>
							<td>
								<h:outputText id="poolLoadingMessage" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
							</td>
						</tr>				
					</table>
				</TD>
			</TR>
			</TBODY>
			</TABLE>
			
			<BR>
			<BR>
			
			<%-- --------------------------------- DISKS TABLE  --------------------------------- --%>
			
			<h:outputText id="disk_prompt_description" value="#{bundle.UnassignDedicatedHotSpare_Prompt_Description}" styleClass="scm_outputText"></h:outputText>
			
			<br>
			
			<h:outputText id="table_title" value="#{bundle.AssignDedicatedHotSpare_Title_Drives}" styleClass="scm_outputTextTitle2"></h:outputText>
			
			<div style="width:100%; height:200px; overflow-y:auto">
			
			<TABLE width='100%' class='scm_DataTable' cellpadding='0' cellspacing='0'>
		    <TBODY>
		    <TR>
		    	<TH class="scm_DataTable_Header" align="center" width="5%">
		    		<DIV style="overflow: hidden; width: 100%;">
    					&nbsp;
    				</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="30%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="logical_identifier_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_LogicalIdentifier}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="12%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="disk_status_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_Status}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="15%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="raw_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_RawGB}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="10%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="type_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_Type}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="15%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="state_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_State}"></h:outputText>
		    		</DIV>
		    	</TH>
		    	<TH class="scm_DataTable_Header" width="15%" align="center">
		    		<DIV style="overflow: hidden; width: 100%;">
		    			<h:outputText id="protectedpools_header" styleClass="scm_outputText" value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_ProtectedPools}"></h:outputText>
		    		</DIV>
		    	</TH>
		    </TR>
	    	<TR>
			    <TD colspan="7">
					<table>
						<tr>
							<td>
								<hx:graphicImageEx id="diskTableLoading" value="images/loading/loading_large.gif" alt=""></hx:graphicImageEx>
							</td>
							<td>
								<h:outputText id="diskTableMessage" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
							</td>
						</tr>				
					</table>
				</TD>
			</TR>
			</TBODY>
			</TABLE>
			
			</div>
			
			<br>
			<br>
			<br>
			<table>
				<tbody>
					<tr>
					<td style="width:30%; padding-right:10px;">
						<hx:commandExButton  styleClass="scm_button" id="ok_btn" value="#{bundle.Common_OK}" disabled="true"></hx:commandExButton>
					</td>
					<td>
						<hx:commandExButton  styleClass="scm_button" id="cancel_btn" value="#{bundle.Common_Cancel}" disabled="true"></hx:commandExButton>
					</td>
					</tr>
				</tbody>
			</table>
			<br>
			<br>			
		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
