<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/VolumeProperties.java" --%><%-- /jsf:pagecode --%>
<%@include file="/page/common/Header.jsp"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<BASE href="<%=basePath%>">
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<script type="text/javascript" src="page/common/DataTable.js"></script>
<script type="text/javascript" src="page/storage/VolumeProperties.js"></script>
<TITLE>Volume Properties</TITLE>
</head>
<body>
<f:view>
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_VolumeProperties.onPageLoadBegin}">
		<%-- ***************INCLUDE  AREA******************* --%>
		<jsp:include page="/page/allresources/LocateShell.jsp" flush="true"></jsp:include>
		
		<h:form id="form1">
			<%@include file="/page/common/InlineMessagePlaceHolder.jsp"%>
			<hx:jspPanel id="jsppanel1">
				<div id="header">
				<table style="width:100%; border-width:0; vertical-align:middle;">
					<tr>
						<td rowspan="2" style="width:10%"><hx:graphicImageEx
							id="imageHeader" styleClass="graphicImageEx"
							value="/images/components/volume_large.gif" alt="#{bundle.VolumeProperties_VolumeImage_Alt}"></hx:graphicImageEx></td>
						<td><h:outputText styleClass="scm_outputText"
							style="width:90px; display:block; float:left;" id="head_name"
							value="#{bundle.VolumeProperties_Label_Name}"></h:outputText> <h:outputText
							styleClass="scm_outputText" id="head_name_value"
							style="float:left;"
							value="#{volumePropertiesBean.volume.displayName}"></h:outputText></td>
						<td style="text-align:right;">
						<a class="scm_plainLink" onclick="javascript:window.open('/help/topic/com.ibm.storage.armr.doc/scm_armr_volume_properties.html?noframes=true','PortletHelpWindow','resizable=yes,scrollbars=yes,menubar=no,toolbar=no,status=no,width=450,height=260,screenX=200,screenY=200,top=200,left=200').focus(); return false;" target="_blank" style="" href="/help/topic/com.ibm.storage.armr.doc/scm_armr_volume_properties.html?noframes=true">
							<h:outputText id="link_text" value="#{bundle.Common_Link_Help}"></h:outputText>
						</a>
						</td>
					</tr>
					<tr>
						<td colspan="2" style="vertical-align:middle;"><h:outputText
							styleClass="scm_outputText"
							style="width:90px; display:block; float:left;" id="head_status"
							value="#{bundle.VolumeProperties_Label_Status}"></h:outputText> <hx:graphicImageEx
							id="imageStatus" styleClass="graphicImageEx"
							value="#{volumePropertiesBean.volume.statusImgPath}"
							style="margin-bottom:-2px; margin-left:-2px; float:left" alt=""></hx:graphicImageEx>
						<h:outputText styleClass="scm_outputText" id="head_status_value"
							value="#{volumePropertiesBean.volume.statusText}"
							style="float:left;"></h:outputText></td>
					</tr>
				</table>
				</div>
				<br>
				<div id="main"><odc:tabbedPanel id="volume_tab_panel"
					styleClass="scm_tabbedPanel_top" width="100%"
					variableTabLength="true" showBackNextButton="false" showTabs="true"
					height="240">
					<odc:bfPanel id="volume_general"
						name="#{bundle.VolumeProperties_Tab_General}"
						showFinishCancelButton="false">
						<hx:jspPanel id="jsppanel2">
							<table>
								<tr>
									<td><h:outputText styleClass="scm_outputText"
										id="capacity_label"
										value="#{bundle.VolumeProperties_Label_Capacity}"></h:outputText>
									</td>
									<td><h:outputText styleClass="scm_outputText"
										id="capacity_value"
										value="#{volumePropertiesBean.volume.totalCapacityTextWithGB}"></h:outputText>
									</td>
								</tr>
								<tr>
									<td><h:outputText styleClass="scm_outputText"
										id="pool_label" value="#{bundle.VolumeProperties_Label_Pool}"></h:outputText>
									</td>
									<td><h:outputText styleClass="scm_outputText"
										id="pool_value"
										value="#{volumePropertiesBean.volume.parentPoolName}"></h:outputText>
									</td>
								</tr>
								<tr>
									<td><h:outputText styleClass="scm_outputText"
										id="raid_label"
										value="#{bundle.VolumeProperties_Label_Raid_Level}"></h:outputText>
									</td>
									<td><h:outputText styleClass="scm_outputText"
										id="raid_value"
										value="#{volumePropertiesBean.volume.raidLevel}"></h:outputText>
									</td>
								</tr>
							</table>
							<br>
							<table id="percentage_table">
								<tr >
									<td rowspan="3" style="padding-right:5px;">
										<hx:graphicImageEx id="pie_percentage_img" value="#{volumePropertiesBean.volume.percentagePieImgPath}" alt="#{volumePropertiesBean.volume.percentagePieImageAlt}"></hx:graphicImageEx>
									</td>
								</tr>
								<tr >
									<td style="border-width:1px; border-style:solid; border-color:#000000; padding-left:5px;">
										<hx:graphicImageEx id="volume_capacity_legend" value="/images/capacity/pie_legend_dark.gif" alt=""></hx:graphicImageEx>
										<h:outputText styleClass="scm_outputText" id="volume_name" value="#{volumePropertiesBean.volume.displayName}"></h:outputText>
										(<h:outputText styleClass="scm_outputText" id="volume_capacity" value="#{volumePropertiesBean.volume.totalCapacityTextWithGB}"></h:outputText>)
									<br>
										<hx:graphicImageEx id="pool_capacity_legend" value="/images/capacity/pie_legend_light.gif" alt=""></hx:graphicImageEx>
										<h:outputText styleClass="scm_outputText" id="pool_name" value="#{volumePropertiesBean.volume.parentPoolName}"></h:outputText>
										(<h:outputText styleClass="scm_outputText" id="parentpool_capacity" value="#{volumePropertiesBean.volume.parentPoolTotalCapacityTextWithGB}"></h:outputText>)
									</td>
								</tr>
								<tr>
									<td style="padding-left:5px;">
										<h:outputFormat id="volume_percentage_txt" value="#{bundle.VolumeProperties_Percentage_Description}" styleClass="scm_outputText">
											<f:param id="volume_percentage" value="#{volumePropertiesBean.volume.percentageText}"></f:param>
										</h:outputFormat>
									</td>
								</tr>
							</table>
						</hx:jspPanel>
					</odc:bfPanel>
					<odc:bfPanel id="volume_drives"
						name="#{bundle.VolumeProperties_Tab_Disk_Drives}"
						onenter="vpObj.onTabEnter(this, event);"
						showFinishCancelButton="false">
						<hx:jspPanel id="jsppanel3">
							<h:outputText styleClass="scm_outputText" id="raid_instruction"
								value="#{bundle.VolumeProperties_Label_Locate_Instruction}"></h:outputText>
							<br />
							<br />
							<table style="width:100%;padding:5px 0px 7px 0px;"
								class="scm_DataTable_ActionArea">
								<tbody>
									<tr>
										<td><hx:commandExButton id="btn_locate_drive"
											value="#{bundle.VolumeProperties_Button_Locate_Drives}"
											 styleClass="scm_button" type="button"
											onclick="vpObj.onClickLocateDrivesBtn(this,event)"></hx:commandExButton>
										</td>
									</tr>
								</tbody>
							</table>
							<div id="table_header_div" class="scm_DataTableHeader_Div">
							<hx:dataTableEx
								id="disks_table_header" border="0" cellpadding="0" cellspacing="0"
								headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
								columnClasses="scm_DataTable_Column"
								rowClasses="scm_DataTable_Row,scm_DataTable_RowGray"
								style="border-top: 0px; border-bottom: 0px; table-layout: fixed;" 
								width="100%" rendered="true">
								<hx:columnEx id="radio_col_header">
									<f:attribute value="5%" name="width" />
									<f:attribute value="center" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_disk_name_header">
									<f:facet name="header">
											<h:outputText id="header_disk_name"
												styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_Disk}"></h:outputText>
									</f:facet>
									<f:attribute value="20%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_physical_location_header">
									<f:facet name="header">
											<h:outputText id="header_location"
												styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_Physical_Location}"></h:outputText>
									</f:facet>
									<f:attribute value="15%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_status_header">
									<f:facet name="header">
											<h:outputText id="header_status" styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_Status}"></h:outputText>
									</f:facet>
									<f:attribute value="15%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_capacity_header">
									<f:facet name="header">
											<h:outputText id="header_capacity"
												styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_Capacity}"></h:outputText>
									</f:facet>
									<f:attribute value="18%" name="width" />
									<f:attribute value="right" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_type_header">
									<f:facet name="header">
											<h:outputText id="header_type" styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_Type}"></h:outputText>
									</f:facet>
									<f:attribute value="10%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_state_header">
									<f:facet name="header">
											<h:outputText id="header_state" styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_State}"></h:outputText>
									</f:facet>
									<f:attribute value="17%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
							</hx:dataTableEx>
							</div>
							<div style="width:100%; height:110px; overflow-y:auto"><hx:dataTableEx
								id="disks_table" border="0" cellpadding="0" cellspacing="0"
								headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
								columnClasses="scm_DataTable_Column"
								rowClasses="scm_DataTable_Row,scm_DataTable_RowGray"
								width="100%" value="#{volumePropertiesBean.volume.disks}"
								var="disk" style="border-top: 0px; table-layout: fixed;"
								summary="#{bundle.VolumeProperties_DiskDrive_Table_Summary}"
								rendered="#{!volumePropertiesBean.volume.noDisk}">
								<hx:columnEx id="radio_col">
									<hx:inputRowSelect id="radio_cell" noscript="true"
										selectOne="false" title="#{disk.logicalIdentification}">
									</hx:inputRowSelect>
									<h:inputHidden id="disk_id" value="#{disk.id}"></h:inputHidden>
									<f:attribute value="5%" name="width" />
									<f:attribute value="center" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_disk_name">
									<f:facet name="header">
											<h:outputText id="disk_name_tbody_header"
												styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_Disk}"></h:outputText>
									</f:facet>
									<h:outputText id="cell_disk_name"
										value="#{disk.logicalIdentification}"
										styleClass="scm_outputText">
									</h:outputText>
									<f:attribute value="20%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_physical_location">
									<f:facet name="header">
											<h:outputText id="physical_location_tbody_header"
												styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_Physical_Location}"></h:outputText>
									</f:facet>
									<h:outputText id="cell_physical_location_text"
										styleClass="scm_outputText" value="#{disk.physicalLocation}">
									</h:outputText>
									<f:attribute value="15%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_status">
									<f:facet name="header">
											<h:outputText id="status_tbody_header" styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_Status}"></h:outputText>
									</f:facet>
									<hx:graphicImageEx id="cell_status_img" rendered="#{!disk.statusNormal}"
										value="#{disk.statusImgPath}" alt="#{disk.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
									<hx:graphicImageEx id="cell_status_img_blank" rendered="#{disk.statusNormal}"
										value="/images/status/none_16.gif" alt="#{disk.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
									<h:outputText id="cell_status_text" styleClass="scm_outputText"
										value="#{disk.statusText}">
									</h:outputText>
									<f:attribute value="15%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_capacity">
									<f:facet name="header">
											<h:outputText id="capacity_tbody_header"
												styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_Capacity}"></h:outputText>
									</f:facet>
									<h:outputText id="cell_capacity" value="#{disk.totalCapacityText}"
										styleClass="scm_outputText">
									</h:outputText>
									<f:attribute value="18%" name="width" />
									<f:attribute value="right" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_type">
									<f:facet name="header">
											<h:outputText id="type_tbody_header" styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_Type}"></h:outputText>
									</f:facet>
									<h:outputText id="cell_pool" value="#{disk.type}"
										styleClass="scm_outputText">
									</h:outputText>
									<f:attribute value="10%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
								<hx:columnEx id="col_state">
									<f:facet name="header">
											<h:outputText id="state_tbody_header" styleClass="scm_outputText"
												value="#{bundle.VolumeProperties_TableHeader_State}"></h:outputText>
									</f:facet>
									<hx:graphicImageEx id="cell_state_img"
										value="#{disk.stateImgPath}" alt=""
										style="margin-bottom:-2px;"></hx:graphicImageEx>
									<h:outputText id="cell_state" value="#{disk.stateText}"
										styleClass="scm_outputText">
									</h:outputText>
									<f:attribute value="17%" name="width" />
									<f:attribute value="left" name="align" />
								</hx:columnEx>
							</hx:dataTableEx> 
							<hx:jspPanel id="norecord_panel" rendered="#{volumePropertiesBean.volume.noDisk}">
								<table
									style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
									<tr>
										<td><h:outputText id="norecords_desc"
									value="#{bundle.VolumeProperties_NoRecords_Description}"
									styleClass="scm_outputText"></h:outputText></td>
									</tr>
								</table>
							</hx:jspPanel>
							</div>
						</hx:jspPanel>
					</odc:bfPanel>
					<odc:bfPanel id="volume_advanced"
						name="#{bundle.VolumeProperties_Tab_Advanced}"
						showFinishCancelButton="false">
							<hx:jspPanel id="jsppanel4">
								<h:outputText styleClass="scm_outputText" id="stripeSizeLabel" value="#{bundle.VolumeProperties_StripeSize}"></h:outputText>
								<h:outputText styleClass="scm_outputText" id="stripeSizeValue" value="#{volumePropertiesBean.volume.stripeSizeText}"></h:outputText>
								
								<BR>
								<BR>
								
								<h:outputText styleClass="scm_outputTextTitle3" id="cache_settings_label" value="#{bundle.VolumeProperties_CacheSettings}"></h:outputText>
								
								<BR>
								
								<h:outputText styleClass="scm_outputText" id="cache_dedescription"
								value="#{bundle.VolumeProperties_WriteCache_Description}"></h:outputText>
								<br />
								<br />
								<table>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="cache_label"
											value="#{bundle.VolumeProperties_Label_WriteCache}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="cache_value"
											value="#{volumePropertiesBean.volume.writeBackCacheMode}"></h:outputText>
										</td>
									</tr>
									<tr>
										<td><h:outputText styleClass="scm_outputText"
											id="bat_fail_cache_label"
											value="#{bundle.VolumeProperties_Label_WriteCacheBatteryFail}"></h:outputText>
										</td>
										<td><h:outputText styleClass="scm_outputText"
											id="bat_fail_cache_value"
											value="#{volumePropertiesBean.volume.writeBackCacheModeOnBatteryFail}"></h:outputText>
										</td>
									</tr>
								</table>
								<br/>
								<hx:commandExButton id="btn_edit"
									value="#{bundle.VolumeProperties_Button_Edit}"
									 styleClass="scm_button" type="button"
									onclick="vpObj.editVolumeProperty()"></hx:commandExButton>
							</hx:jspPanel>
					</odc:bfPanel>
					<f:facet name="back">
						<hx:commandExButton type="submit" value="&lt; Back"
							id="tabbedPanel_back" style="display:none"></hx:commandExButton>
					</f:facet>
					<f:facet name="next">
						<hx:commandExButton type="submit" value="Next &gt;"
							id="tabbedPanel_next" style="display:none"></hx:commandExButton>
					</f:facet>
					<f:facet name="finish">
						<hx:commandExButton type="submit" value="Finish"
							id="tabbedPanel_finish" style="display:none"></hx:commandExButton>
					</f:facet>
					<f:facet name="cancel">
						<hx:commandExButton type="submit" value="Cancel"
							id="tabbedPanel1sscancel" style="display:none"></hx:commandExButton>
					</f:facet>
				</odc:tabbedPanel> <br />
				<hx:commandExButton type="button"  styleClass="scm_button"
					value="#{bundle.Common_Button_Close}" id="dialog_closer"
					onclick="parent.panelDialogObj.closeDialog();">
				</hx:commandExButton>
			</hx:jspPanel>			
		</h:form>
		<jsp:include flush="true" page="/page/common/InlineMessages.jsp"></jsp:include>
	</hx:scriptCollector>
	<%-- ***************Hidden Values******************* --%>
	<h:outputText id="tab_idx" value="#{volumePropertiesBean.selectedTabIndex}" style="display:none"></h:outputText>
</f:view>
</body>
<script type="text/javascript">
	dataTableObj.init("view:form1:disks_table", vpObj.updateActionButton, DataTable.MULTI);
	vpObj.updateActionButton();
	vpObj.switchTab();
</script>
</html>
