<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/VolumesStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<%@include file="/page/common/Header.jsp"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<BASE href="<%=basePath%>">
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>

<TITLE>Volumes</TITLE>
</head>
<body onload="onPageLoad()">
<f:view>
	<hx:scriptCollector id="scriptCollector">
		<h:form id="form1">
			<div id="header">
			<div style="width:100%;text-align:right;margin-bottom:2px"><h:outputText
				id="label_last_refresh_label"
				value="#{bundle.Common_Label_LastRefresh}"
				styleClass="scm_outputText"></h:outputText> <h:outputText
				id="label_last_refresh"
				value="#{bundle.Wait_LoadingMessage_CommonRefresh}"
				styleClass="scm_outputText"></h:outputText></div>
			</div>
			<div id="main">
			<table style="width:100%;padding:5px 0px 7px 0px;"
				class="scm_DataTable_ActionArea">
				<tbody>
					<tr>
						<td align="left" width="100px">
							<hx:commandExButton id="btn_create_volume"
							value="#{bundle.StorageVolumes_Button_Create_Volumes}"
							styleClass="scm_button" type="submit"
							action="#{pc_Volumes.doBtn_create_volumeAction}" disabled="true"></hx:commandExButton>
						</td>
						<td style="margin:0px 5px 0px 5px;" align="left">
				
						<%-- ----------------------------------------- ACTIONS MENU -------------------------------------- --%>
					
						<h:panelGroup id="btn_group">
							<hx:commandExButton disabled="true" value="#{bundle.Common_Menu_Actions}" id="action_btn" styleClass="scm_actionMenu_Button"></hx:commandExButton>
							<hx:graphicImageEx value="/images/menu/sortdescon.gif" id="btn_img" styleClass="scm_actionMenu_Button_Icon" alt="#{bundle.Common_Menu_Actions}"></hx:graphicImageEx>
 						</h:panelGroup>
						</td>
						<td align="right">
							<%-- ----------------------------------------- REFRESH -------------------------------------- --%>
							<hx:commandExButton
							id="btn_refresh" value="#{bundle.Common_Button_Refresh}"
							styleClass="scm_button" type="submit" disabled="true"></hx:commandExButton>
						</td>
					</tr>
				</tbody>
			</table>
			<div style="width:100%; height:300px; overflow-y:auto"><hx:dataTableEx
				id="volumes_table_header" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="border-bottom: 0px; table-layout: fixed;"
				summary="#{bundle.Storage_Volumes_Table_Summary}"
				rendered="true">
				<hx:columnEx id="radio_col_header">
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_volume_name_header">
					<f:facet name="header">
							<h:outputText id="volume_name_header" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Volume}"></h:outputText>
					</f:facet>
					<f:attribute value="27%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_status_header">
					<f:facet name="header">
							<h:outputText id="status_header" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Status}"></h:outputText>
					</f:facet>
					<f:attribute value="15%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_capacity_header">
					<f:facet name="header">
							<h:outputText id="header_capacity" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Capacity}"></h:outputText>
					</f:facet>
					<f:attribute value="15%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_pool_header">
					<f:facet name="header">
							<h:outputText id="header_pool" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_Pool}"></h:outputText>
					</f:facet>
					<f:attribute value="23%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="col_raidlevel_header">
					<f:facet name="header">
							<h:outputText id="header_raidlevel" styleClass="scm_outputText"
								value="#{bundle.StorageVolumes_TableHeader_RaidLevel}"></h:outputText>
					</f:facet>
					<f:attribute value="15%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx>  <hx:jspPanel id="loading_panel" rendered="true">
				<table
					style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
					<tr>
						<td><hx:graphicImageEx id="loading_img"
							value="images/loading/loading_large.gif"
							style="margin-bottom:-14px;" alt=""></hx:graphicImageEx> <h:outputText
							id="tab_loading" value="#{bundle.Wait_LoadingMessage_Volumes}"
							styleClass="scm_outputText"></h:outputText></td>
					</tr>
				</table>
			</hx:jspPanel></div>
			</div>
		</h:form>
	</hx:scriptCollector>
	
	<jsp:include flush="true" page="/page/common/FloatMessage.jsp"></jsp:include>
</f:view>
</body>
</html>
<script type="text/javascript">
	var floatMessage = new FloatMessage(FloatMessage.STORAGE_BEAN_CONTEXT, FloatMessage.DYNAMIC);
	
	function restartFloatMessage()
	{
		floatMessage.restart();
	}
	
	function onPageLoad()
	{
		floatMessage.start();
	}
</script>
