<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/allresources/AllResourcesStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css" title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/allresources/AllResources.js"></SCRIPT>

<TITLE>All Resources</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector">
	
	<h:form id="form1" target="_parent">
	
	<h:outputText id="description" styleClass="scm_outputText" value="#{bundle.AllResources_Directions}"></h:outputText>
	
	<BR>
	
	<!-- ----------------------------------------- REFRESH -------------------------------------- -->
	<table width="100%">
		<tbody>
			<tr>
				<td align="right">
					<h:outputText id="lastRefreshLabel" styleClass="scm_outputText" value="#{bundle.Common_Label_LastRefresh}"></h:outputText>
					<h:outputText id="refresh_wait_loading" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
				</td>
			</tr>
		</tbody>
	</table>	
	
	<!-- ----------------------------------------- ACTIONS AREA -------------------------------------- -->
	
	<table class="scm_DataTable_ActionArea" width="100%">
		<tbody>
			<tr>
				<td width="15px" align="center">
					<hx:graphicImageEx value="images/expandcollapse/plus.gif" id="expandAll" alt="#{bundle.AllResources_ExpandAll}" title="#{bundle.AllResources_ExpandAll}"></hx:graphicImageEx>
				</td>
				<td width="15px" align="center">	
					<hx:graphicImageEx value="images/expandcollapse/minus.gif" id="collapseAll" alt="#{bundle.AllResources_CollapseAll}" title="#{bundle.AllResources_CollapseAll}"></hx:graphicImageEx>
				</td>
				<td align="right">
					<h:commandButton id="addHostButton" type="submit" value="#{bundle.AllResources_AddHost}" disabled="true" styleClass="scm_button"></h:commandButton>
				</td>
				<td style="margin:0px 5px 0px 5px; width: 35%;" align="left">
				
					<!-- ----------------------------------------- ACTIONS MENU -------------------------------------- -->
					<h:panelGroup id="btn_group">
						<hx:commandExButton disabled="true" value="#{bundle.ControllerProperties_Menu_Actions}" id="action_btn" styleClass="scm_actionMenu_Button"></hx:commandExButton>
						<hx:graphicImageEx value="/images/menu/sortdescon.gif" id="btn_img" styleClass="scm_actionMenu_Button_Icon" alt="#{bundle.Common_Menu_Actions}"></hx:graphicImageEx>
					</h:panelGroup>
				</td>
				<td align="right" style="width: 50%;">
					<!-- ----------------------------------------- REFRESH -------------------------------------- -->
					<h:commandButton id="common_refresh_btn" type="button" value="#{bundle.Common_Button_Refresh}" disabled="true" styleClass="scm_button"></h:commandButton>
				</td>
			</tr>
		</tbody>
	</table>
	
	<!-- ----------------------------------------- TABLE HEADERS -------------------------------------- -->
	
	<TABLE width='100%' class='scm_DataTable' cellpadding='0' cellspacing='0'>
    <TBODY>
    <TR>
    	<TH class="scm_DataTable_Header" align="center" width="5%">
			<DIV style="overflow: hidden; width: 100%;">
    			&nbsp;
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="40%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="identifierColumnHeader" value="#{bundle.AllResources_Identifier}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="20%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="statusColumnHeader" value="#{bundle.AllResources_Status}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="35%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="typeColumnHeader" value="#{bundle.AllResources_Type}"></h:outputText>
    		</DIV>
    	</TH>
    </TR>
    <TR>
	    <TD colspan="4">
			<!-- ----------------------------------------- TREE TABLE  -------------------------------------- -->
			<table>
				<tr>
					<td>
						<hx:graphicImageEx id="treeTableLoading" value="images/loading/loading_large.gif" alt=""></hx:graphicImageEx>
					</td>
					<td>
						<h:outputText id="treetable_wait_loading" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
					</td>
				</tr>				
			</table>
		</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<!-- Spacing so the menu fits and goes in the right direction -->
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	<BR>
	
	</h:form>
	</hx:scriptCollector>
	
	</BODY>
</f:view>

</HTML>
