<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/allresources/Locate.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="pagecode.page.allresources.*"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css" title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/allresources/AllResources.js"></SCRIPT>

<TITLE>Locate Disk Drives</TITLE>

</HEAD>
<f:view>
	<BODY style="padding: 0px; margin: 0px">
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_Locate.onPageLoadBegin}">
	
	<% 
	Locate pagecode = Locate.getLocatePagecode();
	%>
	
	<%
	if(pagecode.isStarting())
	{
	%>
	
	<TABLE>
		<TR>
			<TD>
				<hx:graphicImageEx id="locateImage" value="#{pc_Locate.imagePath}" title="#{pc_Locate.imageAlt}" alt="#{pc_Locate.imageAlt}"></hx:graphicImageEx>
			</TD>
			<TD>
				<h:outputText id="locatingMessage" styleClass="scm_outputText" value="#{pc_Locate.message}"></h:outputText>
			</TD>
		</TR>
	</TABLE>
	
	<SCRIPT>
	<%
		if (!pagecode.isHasAssociatedDiskDrives()) 
		{		
	%>
		parent.locateObject.updateButtonValueToOK();
	<%  }else{
	%>
		parent.locateObject.updateButtonValueToStop();
	<% 	}
	%>
		// Set the properties on the parent modal
		parent.locateObject.setLocateModalTitle('<%= pagecode.getTitle() %>');
		parent.locateObject.stopLocateWait();
	</SCRIPT>
	
	<%
	}
	else
	{
	%>
	<SCRIPT>
		// Set the properties on the parent modal
		parent.locateObject.closeLocateModal();
	</SCRIPT>
	<% 
	}
	%>

	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>