<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/auditlog/AuditLogStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>

<TITLE>Audit Log Static Loading</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector">
		<div style="width:100%;"><h:outputText id="summary"
			value="#{bundle.AuditLog_Summary}" styleClass="scm_outputText"></h:outputText></div>
		<br />
		<div style="width:100%; text-align:right; margin-bottom:2"><h:outputText
			id="lastrefresh_label" value="#{bundle.Common_Label_LastRefresh}"
			styleClass="scm_outputText"></h:outputText> <h:outputText
			id="lastrefresh_loading"
			value="#{bundle.Wait_LoadingMessage_CommonRefresh}"></h:outputText></div>
		<div align="right" style="padding:5px 0px 7px 0px;"
			class="scm_DataTable_ActionArea" style="padding:5px 0px 7px 0px;"><hx:commandExButton
			id="refreshbtn" value="#{bundle.Common_Button_Refresh}"
			styleClass="scm_button" type="submit" disabled="true"></hx:commandExButton></div>
		<div style="width:100%; height:300px;  overflow-y:auto;"><hx:dataTableEx
			id="auditlog_table" border="0" cellpadding="0" cellspacing="0"
			headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
			columnClasses="scm_DataTable_Column"
			rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
			style="table-layout: fixed; border-bottom: 0px;" var="auditLogRecords" rendered="true" summary="#{bundle.AuditLog_Table_Summary}">
			<hx:columnEx id="messageid_col">
				<f:facet name="header">
					<h:outputText id="messageid_header" styleClass="scm_outputText"
						value="#{bundle.AuditLog_TableHeader_MessageID}"></h:outputText>
				</f:facet>
				<f:attribute value="105" name="width" />
				<f:attribute value="left" name="align" />
			</hx:columnEx>
			<hx:columnEx id="status_col">
				<f:facet name="header">
					<hx:graphicImageEx id="status_header"
						value="/images/status/completion_status_16.gif"
						alt="#{bundle.AuditLog_TableHeader_StatusAlt}"
						title="#{bundle.AuditLog_TableHeader_StatusAlt}"></hx:graphicImageEx>
				</f:facet>
				<f:attribute value="30" name="width" />
				<f:attribute value="left" name="align" />
			</hx:columnEx>
			<hx:columnEx id="timestamp_col">
				<f:facet name="header">
					<h:outputText id="timestamp_header" styleClass="scm_outputText"
						value="#{bundle.AuditLog_TableHeader_Timestamp}"></h:outputText>
				</f:facet>
				<f:attribute value="105" name="width" />
				<f:attribute value="left" name="align" />
			</hx:columnEx>
			<hx:columnEx id="device_col">
				<f:facet name="header">
					<h:outputText id="device_header" styleClass="scm_outputText"
						value="#{bundle.AuditLog_TableHeader_Device}"></h:outputText>
				</f:facet>
				<f:attribute value="135" name="width" />
				<f:attribute value="left" name="align" />
			</hx:columnEx>
			<hx:columnEx id="userid_col">
				<f:facet name="header">
					<h:outputText id="userid_header" styleClass="scm_outputText"
						value="#{bundle.AuditLog_TableHeader_UserID}"></h:outputText>
				</f:facet>
				<f:attribute value="85" name="width" />
				<f:attribute value="left" name="align" />
			</hx:columnEx>
			<hx:columnEx id="description_col">
				<f:facet name="header">
					<h:outputText id="description_header" styleClass="scm_outputText"
						value="#{bundle.AuditLog_TableHeader_Description}"></h:outputText>
				</f:facet>
				<f:attribute value="left" name="align" />
			</hx:columnEx>
		</hx:dataTableEx> 
		<hx:jspPanel id="loading_panel" rendered="true">
			<table style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
				<tr>
					<td><hx:graphicImageEx id="loading_img"
						value="images/loading/loading_large.gif"
						style="margin-bottom:-14px;" alt=""></hx:graphicImageEx> <h:outputText
						id="auditlog_loading"
						value="#{bundle.Wait_LoadingMessage_AuditLog}"
						styleClass="scm_outputText"></h:outputText></td>
				</tr>
			</table>
		</hx:jspPanel></div>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
