<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<TABLE id="RAIDLevelHelp" class='scm_DataTable' cellpadding='3' cellspacing='0' summary="<%=com.ibm.sysmgmt.scm.ar.nls.MessageFormatter.formatLabel(com.ibm.sysmgmt.scm.ar.nls.GWMARL.RAIDLevelHelp_Table_Summary, null)%>">
	<TR>
		<TH class="scm_DataTable_Header" align="center" style="padding-left: 5px">
	   		<DIV style="overflow: hidden; width: 100%;">
	   			&nbsp;
	   		</DIV>
	   	</TH>
	   	<TH class="scm_DataTable_Header" align="center">
	   		<DIV style="overflow: hidden; width: 100%;">
	   			<h:outputText escape="false" styleClass="scm_outputText" id="read_performance" value="#{bundle.RAIDLevelHelp_Read_Performance}"></h:outputText>
	   		</DIV>
	   	</TH>
	   	<TH class="scm_DataTable_Header" align="center">
	   		<DIV style="overflow: hidden; width: 100%;">
	   			<h:outputText escape="false" styleClass="scm_outputText" id="write_performance" value="#{bundle.RAIDLevelHelp_Write_Performance}"></h:outputText>
	   		</DIV>
	   	</TH>
	   	<TH class="scm_DataTable_Header" align="center">
	   		<DIV style="overflow: hidden; width: 100%;">
	   			<h:outputText escape="false" styleClass="scm_outputText" id="availablity" value="#{bundle.RAIDLevelHelp_Availability}"></h:outputText>
	   		</DIV>
	   	</TH>
	   	<TH class="scm_DataTable_Header" align="center">
	   		<DIV style="overflow: hidden; width: 100%;">
	   			<h:outputText escape="false" styleClass="scm_outputText" id="cost" value="#{bundle.RAIDLevelHelp_Cost}"></h:outputText>
	   		</DIV>
	   	</TH>
   	</TR>
	<TR class="scm_DataTable_Row">
		<TD style="white-space:nowrap">
			<h:outputText id="raid0" styleClass="scm_outputText" value="#{bundle.Common_RAID_RAID0}" title="#{bundle.RAIDLevelHelp_RAID0}"></h:outputText>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid0stars1" value="images/stars/5_stars.gif" alt="#{bundle.RAIDLevelHelp_5stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid0stars2" value="images/stars/5_stars.gif" alt="#{bundle.RAIDLevelHelp_5stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid0stars3" value="images/stars/1_star.gif" alt="#{bundle.RAIDLevelHelp_1stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid0stars4" value="images/dollars/1_dollar.gif" alt="#{bundle.RAIDLevelHelp_1dollars}"></h:graphicImage>
		</TD>
	</TR>
	<TR class="scm_DataTable_Row">
		<TD style="white-space:nowrap">
			<h:outputText id="raid1" styleClass="scm_outputText" value="#{bundle.Common_RAID_RAID1}" title="#{bundle.RAIDLevelHelp_RAID1}"></h:outputText>
			<BR>
			<h:outputText id="raid10" styleClass="scm_outputText" value="#{bundle.Common_RAID_RAID10}" title="#{bundle.RAIDLevelHelp_RAID10}"></h:outputText>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid1stars1" value="images/stars/4_stars.gif" alt="#{bundle.RAIDLevelHelp_4stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid1stars2" value="images/stars/3_stars.gif" alt="#{bundle.RAIDLevelHelp_3stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid1stars3" value="images/stars/3_stars.gif" alt="#{bundle.RAIDLevelHelp_3stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid1stars4" value="images/dollars/5_dollars.gif" alt="#{bundle.RAIDLevelHelp_5dollars}"></h:graphicImage>
		</TD>
	</TR>
	<TR class="scm_DataTable_Row">
		<TD style="white-space:nowrap">
			<h:outputText id="raid5" styleClass="scm_outputText" value="#{bundle.Common_RAID_RAID5}" title="#{bundle.RAIDLevelHelp_RAID5}"></h:outputText>
			<BR>
			<h:outputText styleClass="scm_outputText" id="raid50" value="#{bundle.Common_RAID_RAID50}" title="#{bundle.RAIDLevelHelp_RAID50}"></h:outputText>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid5stars1" value="images/stars/5_stars.gif" alt="#{bundle.RAIDLevelHelp_5stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid5stars2" value="images/stars/4_stars.gif" alt="#{bundle.RAIDLevelHelp_4stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid5stars3" value="images/stars/3_stars.gif" alt="#{bundle.RAIDLevelHelp_3stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid5stars4" value="images/dollars/3_dollars.gif" alt="#{bundle.RAIDLevelHelp_3dollars}"></h:graphicImage>
		</TD>
	</TR>
	<TR class="scm_DataTable_Row">
		<TD style="white-space:nowrap">
			<h:outputText id="raid6" styleClass="scm_outputText" value="#{bundle.Common_RAID_RAID6}" title="#{bundle.RAIDLevelHelp_RAID6}"></h:outputText>
			<BR>
			<h:outputText styleClass="scm_outputText" id="raid60" value="#{bundle.Common_RAID_RAID60}" title="#{bundle.RAIDLevelHelp_RAID60}"></h:outputText></TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid6stars1" value="images/stars/5_stars.gif" alt="#{bundle.RAIDLevelHelp_5stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid6stars2" value="images/stars/3_stars.gif" alt="#{bundle.RAIDLevelHelp_3stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid6stars3" value="images/stars/4_stars.gif" alt="#{bundle.RAIDLevelHelp_4stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid6stars4" value="images/dollars/4_dollars.gif" alt="#{bundle.RAIDLevelHelp_4dollars}"></h:graphicImage>
		</TD>
	</TR>
</TABLE>
