<%-- jsf:pagecode language="java" location="/src/pagecode/page/createvolume/SelectStoragePoolStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" session="false"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<head>
	<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
		title="Style">
	<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
	<script type="text/javascript" src="page/common/DataTable.js"></script>
	<script type="text/javascript" src="page/createvolume/SelectStoragePool.js"></script>
	<TITLE>Select Storage Pool</TITLE>
</head>
<body>
<f:view>
	<h:form id="form1">
	<table class="scm_wizard">
		<tr>
			<td class="left">
				<jsp:include flush="true" page="ProgressView.jsp"></jsp:include>
			</td>
			<td class="right">
				<div id="header">
					<TABLE class="scm_titleArea" width="100%" height="50px" cellpadding="5px">
						<TR>
							<TD>
								<h:outputText id="selectpool_title" styleClass="scm_outputTextTitle2" value="#{bundle.SelectPool_Title}"></h:outputText>
								<BR>
								<h:outputText id="desc_label" styleClass="scm_outputText" value="#{bundle.SelectPool_Label_Description}"></h:outputText>
							</TD>
						</TR>
					</TABLE>
				</div>
				
				<div id="main">
					<div>
						<input disabled="true" type="radio" id="create_pool_new" name="create_pool"></input>
						<label id="newpool_label" for="create_pool_new">
							<h:outputText id="newpool_label_text" styleClass="scm_outputText" value="#{bundle.SelectPool_Label_NewPool}"></h:outputText>
						</label>
					</div>
					
					<div id="create_pool_option_div" style="padding-left:50px">
						<h:selectOneRadio disabled="true" styleClass="scm_outputText" id="create_pool_new_radio" layout="pageDirection" value="#{selectStoragePoolBean.createPoolPath}">
			        		<f:selectItem id="easy_item" itemValue="Easy" itemLabel="#{bundle.SelectPool_Label_NewPool_Easy}" />
			        		<f:selectItem id="advanced_item" itemValue="Advanced" itemLabel="#{bundle.SelectPool_Label_NewPool_Advanced}" />
			    		</h:selectOneRadio>
		    		</div>
					<div>
						<input disabled="true" type="radio" id="create_pool_existing" name="create_pool"></input>
						<label id="existingpool_label" for="create_pool_existing">
							<h:outputText id="existingpool_label_text" styleClass="scm_outputText" value="#{bundle.SelectPool_Label_ExistingPool}"></h:outputText>
						</label>
					</div>
					<div id="table_div"
						style="padding-left:50px; width:90%; height:180px; overflow-y:auto; overflow-x:hidden">
						<img src="images\loading\loading_large.gif" style="margin-bottom:-14px;" alt=""></img><h:outputText id="tab_loading" value="#{bundle.Wait_LoadingMessage_StoragePools}" styleClass="scm_outputText"></h:outputText>
					</div>
				<!-- Hidden Inputs -->
				<h:inputHidden id="using_existing_pool" value="#{selectStoragePoolBean.usingExistingPool}"></h:inputHidden>
			</td>
		</tr>
		<tr>
			<td colspan="2" class="bottom">
				<hx:commandExButton id="btn_back"
					value="#{bundle.Common_Button_Back}"
					style="margin:0px 5px 0px 5px;"
					styleClass="scm_button"
					type="submit" disabled="true">
				</hx:commandExButton>
				<hx:commandExButton id="btn_next"
					value="#{bundle.Common_Button_Next}"
					style="margin:0px 5px 0px 5px;"
					styleClass="scm_button"
					type="submit" disabled="true">
				</hx:commandExButton>
				<hx:commandExButton id="btn_finish"
					value="#{bundle.Common_Button_Finish}"
					style="margin:0px 5px 0px 5px;"
					styleClass="scm_button"
					type="submit" disabled="true">
				</hx:commandExButton>
				<hx:commandExButton id="btn_cancel"
					value="#{bundle.Common_Button_Cancel}"
					styleClass="scm_button"
					style="margin:0px 5px 0px 5px;"
					type="submit" disabled="true">
				</hx:commandExButton>
			</td>
		</tr>
	</table>
	</h:form>
</f:view>
</body>
</html>
