<%-- jsf:pagecode language="java" location="/src/pagecode/page/physical/BBUPropertiesShell.java" --%><%-- /jsf:pagecode --%>

<%@ include file="/page/common/Header.jsp"%>

<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>

<SCRIPT type="text/javascript" src="page/physical/BBUProperties.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>

<f:subview id="bbuPropertiesSubview">
		<hx:scriptCollector id="scriptCollector">
		<hx:jspPanel id="form_panel">
			<div id="bbuproperties_form_div" style="display:none">
				<form id="bbuPropertiesForm" action="faces/page/physical/BBUProperties.jsp"  method="post" target="bbuPropertiesDynamicFrame" enctype="application/x-www-form-urlencoded">
				</form>
			</div>
		</hx:jspPanel>
		<h:inputHidden id="defaultBBUPropertiesTitleConstant" value="#{bundle.BBUProperties_LoadingModalTitle}"></h:inputHidden>
		
		<!-- ----------------------------------------- MODAL  -------------------------------------- -->
		<h:commandButton id="bbuPropertiesLauncher" type="button" style="display: none" value=""></h:commandButton>
		
		<hx:panelDialog
			title="#{bundle.BBUProperties_LoadingModalTitle}" 
			id="bbuPropertiesModal" 
			style="width:500px;"
			showTitleCloseButton="true"
			onhide="setTimeout('bbuPropertiesObject.resizeParentShell()', 500);"
			valign="top"
			styleClass="scm_panelDialog"
			for="bbuPropertiesLauncher">
			
			<hx:jspPanel id="panel">

			<DIV id="bbuPropertiesLoadingDiv">
				<TABLE>
					<TR>
						<TD valign="middle">
							<IMG src="images/loading/loading_large.gif" alt="" />
						</TD>
						<TD valign="middle">
							<h:outputText id="loadingBBUPropertiesMessage" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
						</TD>
					</TR>
				</TABLE>
			</DIV>
	
			<DIV id="bbuPropertiesDynamicDiv">
				<iframe id="bbuPropertiesDynamicFrame" name="bbuPropertiesDynamicFrame" title="<%=MessageFormatter.formatLabel(GWMARL.BbuPropertiesDynamicDiv_Title, null)%>" style="height: 1px;" width="100%" scrolling="no" frameborder="0" src=""></iframe>

				<hx:commandExButton id="hiddenStopShowingButton" type="button" style="display: none">
					<hx:behavior id="onclickBehavior" event="onclick" targetAction="bbuPropertiesModal" behaviorAction="hide;"></hx:behavior>
				</hx:commandExButton>
			</DIV>
			
			</hx:jspPanel>
		</hx:panelDialog>
		
		</hx:scriptCollector>

</f:subview>
