<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/physical/EnclosuresStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css" title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/physical/Enclosures.js"></SCRIPT>

<TITLE>Enclosures</TITLE>

</HEAD>
<f:view>
<BODY onload="onPageLoad()">
	
	<hx:scriptCollector id="scriptCollector">
	
	<h:form id="form1">
	
	<table width="100%">
		<tbody>
			<tr>
				<td align="right">
					<h:outputText id="lastRefreshLabel" styleClass="scm_outputText" value="#{bundle.Common_Label_LastRefresh}"></h:outputText>
					<h:outputText id="refresh_wait_loading" styleClass="scm_outputText" value="#{bundle.Wait_Loading}"></h:outputText>
				</td>
			</tr>
		</tbody>
	</table>
	
	<table class="scm_DataTable_ActionArea" width="100%">
		<tbody>
			<tr>
				<td align="left" width="100px">
					<h:commandButton disabled="true" styleClass="scm_button" id="locateDrivesButton" type="button" value="#{bundle.AllResources_LocateDrives}" onclick="locateDrivesClicked()"></h:commandButton>
				</td>
				<td align="left" style="padding-left: 10px">
				
					<%-- ----------------------------------------- ACTIONS MENU -------------------------------------- --%>
					
					<h:panelGroup id="btn_group">
						<hx:commandExButton disabled="true" value="#{bundle.ControllerProperties_Menu_Actions}" id="action_btn" styleClass="scm_actionMenu_Button"></hx:commandExButton>
						<hx:graphicImageEx value="/images/menu/sortdescon.gif" id="btn_img" styleClass="scm_actionMenu_Button_Icon" alt="#{bundle.Common_Menu_Actions}"></hx:graphicImageEx>
 					</h:panelGroup>
				</td>
				<td align="right">
					<%-- ----------------------------------------- REFRESH -------------------------------------- --%>
					<h:commandButton id="refreshButton" styleClass="scm_button" disabled="true" type="submit" action="#{pc_Enclosures.refresh}" value="#{bundle.Common_Button_Refresh}" style="width: 80px"></h:commandButton>
				</td>
			</tr>
		</tbody>
	</table>
	
	<%-- ----------------------------------------- TABLE HEADERS -------------------------------------- --%>
	
	<div id="tablecontent_panel" style="width:100%; height:280px; overflow-y:auto">
	<TABLE width='100%' class='scm_DataTable' cellpadding='0' cellspacing='0' id="enclosuresTable">
    <TBODY>
    <TR>
    	<TH class="scm_DataTable_Header" align="center" width="5%">
    		<DIV style="overflow: hidden; width: 100%;">
    			&nbsp;
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="enclosureColumnHeader" value="#{bundle.Enclosures_Enclosure}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="locationColumnHeader" value="#{bundle.Enclosures_Location}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="12%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="statusColumnHeader" value="#{bundle.Enclosures_Status}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="slotsColumnHeader" value="#{bundle.Enclosures_Slots}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="11%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="drivesColumnHeader" value="#{bundle.Enclosures_Drives}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="emptySlotsColumnHeader" value="#{bundle.Enclosures_EmptySlots}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="7%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="fansColumnHeader" value="#{bundle.Enclosures_Fans}"></h:outputText>
    		</DIV>
    	</TH>
    	<TH class="scm_DataTable_Header" width="13%" align="center">
    		<DIV style="overflow: hidden; width: 100%;">
    			<h:outputText styleClass="scm_outputText" id="powersuppliesColumnHeader" value="#{bundle.Enclosures_PowerSupplies}"></h:outputText>
    		</DIV>
    	</TH>
    </TR>
	<TR class="scm_DataTable_Row">
		<TD class="scm_DataTable_Column scm_outputText" colspan="9">
			<TABLE>
				<TR>
					<TD>
						<hx:graphicImageEx id="loading_img" value="images/loading/loading_large.gif" alt=""></hx:graphicImageEx>
					</TD>
					<TD>
						<h:outputText id="enclosures_wait_loading" styleClass="scm_outputText" value="#{bundle.Enclosures_Loading}"></h:outputText>	
					</TD>
				</TR>
			</TABLE>
		</TD>
	</TR>
	</TBODY>
	</TABLE>
	</div>
	
	</h:form>
	</hx:scriptCollector>
	<jsp:include flush="true" page="/page/common/FloatMessage.jsp"></jsp:include>
</BODY>
</f:view>
</html>
<script type="text/javascript">
	var floatMessage = new FloatMessage(FloatMessage.PHYSICAL_RESOURCES_CONTEXT, FloatMessage.DYNAMIC);
	
	function restartFloatMessage()
	{
		floatMessage.restart();
	}
	
	function onPageLoad()
	{
		floatMessage.start();
	}
</script>