<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/AssignPoolDedicatedHotSpare.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="com.ibm.sysmgmt.scm.ar.common.*"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>
<SCRIPT type="text/javascript"
	src="page/storage/AssignPoolDedicatedHotSpare.js"></SCRIPT>

<TITLE>Assign A Dedicated Hot Spare</TITLE>

</HEAD>
<f:view>
	<BODY onload="inlineMessagesAjaxObj.delayFetchMessages(200);">
	<jsp:include flush="true" page="/page/common/InlineMessagesAjax.jsp"></jsp:include>
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_AssignPoolDedicatedHotSpare.onPageLoadBegin}">
		<h:form id="form1">
			<div><h:outputText id="pool_prompt_description"
				value="#{bundle.AssignDedicatedHotSpare_Prompt_SelectPool}"
				styleClass="scm_outputText"></h:outputText></div>
			
			<%-- ********** SELECTED POOL TABLE **********--%>
			<div id="selectedpool_panel"
				style="width:100%; height:60px; overflow-y:auto"><hx:dataTableEx
				id="pools_table" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				value="#{assignPoolDedicatedHotSpareBean.selectedPools}" var="pool"
				summary="#{bundle.AssignPoolDedicatedHotSpare_SelectedPool_Table_Summary}"
				rendered="#{!pc_AssignPoolDedicatedHotSpare.ajaxed}">
				<hx:columnEx id="poolname_col">
					<f:facet name="header">
						<h:outputText id="poolname_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_StoragePool}"></h:outputText>

					</f:facet>
					<h:outputText id="poolname_cell" value="#{pool.poolName}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="20%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="raidlevel_col">
					<f:facet name="header">
						<h:outputText id="raidlevel_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_RaidLevel}"></h:outputText>
					</f:facet>
					<h:outputText id="raidlevel_cell" value="#{pool.raidLevel}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="20%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="spare_col">
					<f:facet name="header">
						<h:outputText id="spare_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_SpareCoverage}"></h:outputText>
					</f:facet>
					<hx:jspPanel id="dedicatedspared_panel" rendered="#{pool.dedicatedSpared}">
						<hx:graphicImageEx id="dedicated_spareimg_cell" value="/images/spare/dedicated_spare.gif"
							alt=""  style="margin-bottom:-2px;"></hx:graphicImageEx>
						<h:outputText id="dedicated_sparetext_cell" styleClass="scm_outputText"
							value="#{pool.dedicatedSpareText}">
					</h:outputText>
					<br/>
					</hx:jspPanel>
					<hx:jspPanel id="globalspared_panel" rendered="#{pool.globalSpared}">
						<hx:graphicImageEx id="global_spareimg_cell" value="/images/spare/global_spare.gif"
							alt="" style="margin-bottom:-2px;"></hx:graphicImageEx>
						<h:outputText id="global_sparetext_cell" styleClass="scm_outputText"
							value="#{pool.globalSpareText}">
						</h:outputText>
						<br/>
					</hx:jspPanel>
					<hx:jspPanel id="bothspared_panel" rendered="#{!pool.dedicatedSpared && !pool.globalSpared}">
						<hx:graphicImageEx id="none_spareimg_cell" value="/images/status/none_16.gif"
							alt="" style="margin-bottom:-2px;"></hx:graphicImageEx>
						<h:outputText id="none_sparetext_cell" styleClass="scm_outputText"
							value="#{bundle.StoragePools_Spare_None}">
						</h:outputText>
					</hx:jspPanel>
					<f:attribute value="20%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="volumes_col">
					<f:facet name="header">
						<h:outputText id="volumes_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_ExistingVolumes}"></h:outputText>
					</f:facet>
					<h:outputText id="volumes_cell" value="#{pool.volumeQuantity}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="20%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="total_col">
					<f:facet name="header">
						<h:outputText id="total_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_PoolTableHeader_TotalCapacity}"></h:outputText>
					</f:facet>
					<h:outputText id="total_cell" value="#{pool.totalCapacityText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="20%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
			</hx:dataTableEx></div>
			<br>
			<br>

			<%-- ********** AVAILABLE DISK DRIVES TABLE **********--%>
			<div><h:outputText id="disk_prompt_description"
				value="#{bundle.AssignDedicatedHotSpare_Prompt_Description}"
				styleClass="scm_outputText"></h:outputText></div>
			<br>
			<div><h:outputText id="table_title"
				value="#{bundle.AssignDedicatedHotSpare_Title_Drives}"
				styleClass="scm_outputTextTitle2"></h:outputText></div>
			<hx:jspPanel id="jsp_panel"
				rendered="#{!pc_AssignPoolDedicatedHotSpare.ajaxed && !assignPoolDedicatedHotSpareBean.noAvailableDiskDrive}">
			<div id="table_header_div" class="scm_DataTableHeader_Div">
			<hx:dataTableEx
				id="dedicated_disks_table_header" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
				rendered="#{!pc_AssignPoolDedicatedHotSpare.ajaxed && !assignPoolDedicatedHotSpareBean.noAvailableDiskDrive}">
				<hx:columnEx id="checkbox_col_header">
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="logical_identifier_col_header">
					<f:facet name="header">
						<h:outputText id="logical_identifier_header"
							styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_LogicalIdentifier}"></h:outputText>
					</f:facet>
					<f:attribute value="28%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="disk_status_col_header">
					<f:facet name="header">
						<h:outputText id="disk_status_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_Status}"></h:outputText>
					</f:facet>
					<f:attribute value="12%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="raw_col_header">
					<f:facet name="header">

						<h:outputText id="raw_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_RawGB}"></h:outputText>
					</f:facet>
					<f:attribute value="12%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="type_col_header">
					<f:facet name="header">
						<h:outputText id="type_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_Type}"></h:outputText>
					</f:facet>
					<f:attribute value="10%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="state_col_header">
					<f:facet name="header">
						<h:outputText id="state_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_State}"></h:outputText>
					</f:facet>
					<f:attribute value="20%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="protectedpools_col_header">
					<f:facet name="header">

						<h:outputText id="protectedpools_header"
							styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_ProtectedPools}"></h:outputText>
					</f:facet>
					<f:attribute value="13%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
			</hx:dataTableEx>
			</div>	
			</hx:jspPanel>
			<div style="width:100%; height:200px; overflow-y:auto"><hx:dataTableEx
				id="dedicated_disks_table" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="border-top: 0px; table-layout: fixed;"
				value="#{assignPoolDedicatedHotSpareBean.availableDiskDrives}"
				var="diskDrive" summary="#{bundle.AssignPoolDedicatedHotSpare_AvailableDisks_Table_Summary}"
				rendered="#{!pc_AssignPoolDedicatedHotSpare.ajaxed && !assignPoolDedicatedHotSpareBean.noAvailableDiskDrive}">
				<hx:columnEx id="checkbox_col">
					<hx:inputRowSelect id="selected_cell" noscript="true" title="#{diskDrive.logicalIdentifier}"
						selectOne="false" value="false"></hx:inputRowSelect>
					<h:inputHidden id="id_cell" value="#{diskDrive.id}"></h:inputHidden>
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="logical_identifier_col">
					<f:facet name="header">
						<h:outputText id="logical_identifier_tbody_header"
							styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_LogicalIdentifier}"></h:outputText>
					</f:facet>
					<h:outputText id="logical_identifier_cell"
						value="#{diskDrive.logicalIdentifier}" styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="28%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="disk_status_col">
					<f:facet name="header">
						<h:outputText id="disk_status_tbody_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_Status}"></h:outputText>
					</f:facet>
					<hx:graphicImageEx id="cell_status_img" rendered="#{!diskDrive.statusNormal}"
						value="#{diskDrive.statusImgPath}" alt="#{diskDrive.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
					<hx:graphicImageEx id="cell_status_img_blank" rendered="#{diskDrive.statusNormal}"
						value="/images/status/none_16.gif" alt="#{diskDrive.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
					<h:outputText id="disk_status_cell" value="#{diskDrive.statusText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="12%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="raw_col">
					<f:facet name="header">
						<h:outputText id="raw_tbody_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_RawGB}"></h:outputText>
					</f:facet>
					<h:outputText id="raw_cell" value="#{diskDrive.rawCapacityText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="12%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="type_col">
					<f:facet name="header">
						<h:outputText id="type_tbody_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_Type}"></h:outputText>
					</f:facet>
					<h:outputText id="type_cell" value="#{diskDrive.type}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="10%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="state_col">
					<f:facet name="header">
						<h:outputText id="state_tbody_header" styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_State}"></h:outputText>
					</f:facet>
					<hx:graphicImageEx id="stateimg_cell"
						value="#{diskDrive.stateImgPath}" alt=""
						style="margin-bottom:-2px;"></hx:graphicImageEx>
					<h:outputText id="state_cell" value="#{diskDrive.stateText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="20%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="protectedpools_col">
					<f:facet name="header">
						<h:outputText id="protectedpools_tbody_header"
							styleClass="scm_outputText"
							value="#{bundle.AssignDedicatedHotSpare_DiskTableHeader_ProtectedPools}"></h:outputText>
					</f:facet>
					<h:outputText id="protectedpools_cell"
						value="#{diskDrive.protectedPoolsQuantityText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="13%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
			</hx:dataTableEx> <h:panelGroup id="nodiskdrive_panel"
				rendered="#{!pc_AssignPoolDedicatedHotSpare.ajaxed && assignPoolDedicatedHotSpareBean.noAvailableDiskDrive}">
				<h:outputText id="nodiskdrive_desc"
					value="#{bundle.AssignDedicatedHotSpare_NoAvailableDisks_Message}"
					styleClass="scm_outputText"></h:outputText>
			</h:panelGroup></div>
			<br>
			<table>
				<tbody>
					<tr>
						<td style="width:30%; padding-right:10px;"><hx:commandExButton
							id="ok_btn" value="#{bundle.Common_OK}" type="button"
							onclick="assignPoolDedicatedHotSpareObj.onOKBtnClick(this,event)"
							styleClass="scm_button"></hx:commandExButton></td>
						<td><hx:commandExButton id="cancel_btn"
							value="#{bundle.Common_Cancel}" type="button"
							onclick="assignPoolDedicatedHotSpareObj.onCancelBtnClick(this,event)" styleClass="scm_button"></hx:commandExButton>
						</td>
						<td>
						<div id="loading_div" style="display:none;"><img
							src="images\loading\loading_large.gif" alt=""
							style="margin-bottom:-5px;"></img></div>
						</td>
					</tr>
				</tbody>
			</table>
			<br>
			<br>

			<%-- ***************HIDDEN FIELD****************** --%>
			<h:inputHidden id="diskdrive_ids" value=""></h:inputHidden>
			<input type="hidden" name="<%= PortletNavigator.PARAM_POOL_ID %>" value="<%= request.getParameter(PortletNavigator.PARAM_POOL_ID) %>">

			<%-- Ajax request to assign spare --%>
			<hx:commandExButton id="assign_spare_launcher" type="button" value="Click"
				style="display:none;">
				<hx:behavior id="assign_spare_behavior" event="onclick" behaviorAction="get"
					targetAction="assign_spare_panel"></hx:behavior>
			</hx:commandExButton>

			<h:panelGroup id="assign_spare_panel" style="display:none;">
					<hx:ajaxRefreshSubmit id="assign_spare_ajax_submit"
						oncomplete="assignPoolDedicatedHotSpareObj.onAssignSpareComplete();"
						onerror="assignPoolDedicatedHotSpareObj.onAssignSpareError();"
						onstart="assignPoolDedicatedHotSpareObj.onAssignSpareStart();">
					</hx:ajaxRefreshSubmit>
					<h:outputText id="assign_succeed" value="#{assignPoolDedicatedHotSpareBean.assignSucceed}" style="display:none"></h:outputText>
			</h:panelGroup>

		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
<script language="javascript">
assignPoolDedicatedHotSpareObj.init();
dataTableObj.init(AssignPoolDedicatedHotSpare.VIEW_FORM_ID+":dedicated_disks_table",assignPoolDedicatedHotSpareObj.changeOkBtn,DataTable.MULTI);
dataTableObj.initHeaderDivPaddingWidth(AssignPoolDedicatedHotSpare.VIEW_FORM_ID+":dedicated_disks_table");
</script>
