<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/DiskDriveProperties.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page import="com.ibm.sysmgmt.scm.ar.backing.storage.DiskDrivePropertiesBean,com.ibm.sysmgmt.scm.ar.backing.storage.SDSASPort,java.util.List, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.ar.nls.*"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>

<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>
<script type="text/javascript" src="page/storage/DiskDriveProperties.js"></script>

<TITLE>Storage Disk Drive Properties</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_DiskDriveProperties.onPageLoadBegin}">
		<h:form id="form1">
			<div id="header">
			<table style="width:100%; border-width:0; vertical-align:middle;">
				<tr>
					<td rowspan="2" style="width:10%;"><hx:graphicImageEx
						id="imageHeader" styleClass="graphicImageEx"
						value="/images/components/diskdrive_large.gif" alt="#{bundle.DiskDrivesProperties_DiskImage_Alt}"></hx:graphicImageEx></td>
					<td><h:outputText styleClass="scm_outputText"
						style="width:90px; display:block; float:left;" id="head_name"
						value="#{bundle.DiskDrivesProperties_Label_Name}"></h:outputText>
					<h:outputText styleClass="scm_outputText" id="head_name_value"
						value="#{diskDrivePropertiesBean.diskDrive.diskDriveName}"
						style="float:left; padding-right:25px;"></h:outputText></td>
					<td style="text-align:right;">
					<a class="scm_plainLink" onclick="javascript:window.open('/help/topic/com.ibm.storage.armr.doc/scm_armr_disk_drive_properties.html?noframes=true','PortletHelpWindow','resizable=yes,scrollbars=yes,menubar=no,toolbar=no,status=no,width=450,height=260,screenX=200,screenY=200,top=200,left=200').focus(); return false;" target="_blank" style="" href="/help/topic/com.ibm.storage.armr.doc/scm_armr_disk_drive_properties.html?noframes=true">
						<h:outputText id="link_text" value="#{bundle.Common_Link_Help}"></h:outputText>
					</a>
					</td>
				</tr>
				<tr>
					<td><h:outputText styleClass="scm_outputText"
						style="width:90px; display:block; float:left;" id="head_status"
						value="#{bundle.DiskDrivesProperties_Label_Status}"></h:outputText>
					<hx:graphicImageEx id="head_status_img"
						value="#{diskDrivePropertiesBean.diskDrive.statusImgPath}"
						style="margin-bottom:-2px; margin-left:-2px; float:left;" alt=""></hx:graphicImageEx>
					<h:outputText styleClass="scm_outputText" id="head_status_value"
						value="#{diskDrivePropertiesBean.diskDrive.statusText}"
						style="float:left; padding-right:25px;"></h:outputText></td>
				</tr>
			</table>
			</div>
			</br>
			<div id="main"><odc:tabbedPanel
				styleClass="scm_tabbedPanel_top" width="100%"
				variableTabLength="true" showBackNextButton="false" showTabs="true"
				id="tabbedPanel" height="250" id="diskdrive_properties_tab_panel">
				<odc:bfPanel id="diskdrive_properties_general"
					name="#{bundle.DiskDrivesProperties_Tab_General}"
					showFinishCancelButton="false">
					<table>
						<tr>
							<td><h:outputText id="raw_capacity_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_RawCapacity}"></h:outputText>
							</td>
							<td><h:outputText id="raw_capacity"
								styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.rawCapacityTextWithGB}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td><h:outputText id="type_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_Type}"></h:outputText>
							</td>
							<td><h:outputText
								id="type" styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.type}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td>
							<h:outputText id="state_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_State}"></h:outputText>
							</td>
							<td><hx:graphicImageEx id="state_img"
								value="#{diskDrivePropertiesBean.diskDrive.stateImgPath}" alt=""
								style="margin-bottom:-2px;" rendered="#{!diskDrivePropertiesBean.diskDrive.notSpare}">
								</hx:graphicImageEx> 
								
								<h:outputText id="state_text"
								styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.stateText}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td>
							<h:outputText id="poolname_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_Storagepool}"></h:outputText>
							</td>
							<td><h:outputText id="poolname"
								styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.poolName}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td>
							<h:outputText id="firmware_level_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_Firmwarelevel}"></h:outputText>
							</td>
							<td><h:outputText id="firmware_level"
								styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.firmwareLevel}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<h:outputText id="sasport_addresses_disk_label" rendered="#{diskDrivePropertiesBean.diskDrive.internal}" styleClass="scm_outputText" value="#{bundle.DiskDrivesProperties_General_Lable_DiskSASPortAddresses}"></h:outputText>
								
								<h:outputText id="sasport_addresses_enclosure_label" rendered="#{!diskDrivePropertiesBean.diskDrive.internal}" styleClass="scm_outputText" value="#{bundle.DiskDrivesProperties_General_Lable_EnclosureSASPortAddresses}"></h:outputText>
							</td>
						</tr>
						
						<%-- SAS Port--%>
						<%
						  	FacesContext fc = FacesContext.getCurrentInstance();
						  	DiskDrivePropertiesBean diskDrivePropertiesBean = (DiskDrivePropertiesBean)fc.getApplication().createValueBinding("#{diskDrivePropertiesBean}").getValue(fc); 
						%>
						<%
							List sasPorts = diskDrivePropertiesBean.getDiskDrive().getSasPorts();
						%>
						<%for(int i = 0; i < sasPorts.size(); i++) {%>
							<tr>
								<td style="padding-left:20px;">
									<span
										class="scm_outputText"><%=MessageFormatter.formatLabel(GWMARL.DiskDrivesProperties_General_Lable_Port, new String[] {String.valueOf(i+1)})%></span>
								</td>
								<td>
									<span class="scm_outputText"><%=((SDSASPort)sasPorts.get(i)).getMacAddress()%></span>
								</td>
							</tr>
						<%} %>
						
						<tr>
							<td colspan="2">
							<h:outputText id="physical_location_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_PhysicalLocation}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="enclosure_identifier_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_Enclosureidentifier}"></h:outputText>
							</td>
							<td>
							<h:outputText id="enclosure_identifier"
								styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.enclosureIdentifier}"></h:outputText>
							
							</td>
						</tr>
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="slot_identifier_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_Slotidentifier}"></h:outputText>
							</td>
							<td>
							<h:outputText id="slot_identifier"
								styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.slotIdentifier}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="enclosure_serial_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_Enclosureserial}"></h:outputText>
							</td>
							<td>
							<h:outputText id="enclosure_serial"
								styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.enclosureSerial}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td colspan="2">
							<h:outputText id="product_numbers_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_ProductNumbers}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="product_identifier_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_Productidentifier}"></h:outputText>
							</td>
							<td>
							<h:outputText id="product_identifier"
								styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.productIdentifier}"></h:outputText>
							
							</td>
						</tr>
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="manufacturer_identifier_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_Manufactureridentifier}"></h:outputText>
							</td>
							<td>
							<h:outputText id="manufacturer_identifier"
								styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.manufacturerIdentifier}"></h:outputText>
							</td>
						</tr>
						<tr>
							<td style="padding-left:20px;">
							<h:outputText id="fru_serialnumber_label"
								styleClass="scm_outputText"
								value="#{bundle.DiskDrivesProperties_General_Lable_FRUserialnumber}"></h:outputText>
							</td>
							<td>
							<h:outputText id="fru_serialnumber"
								styleClass="scm_outputText"
								value="#{diskDrivePropertiesBean.diskDrive.fruSerialNumber}"></h:outputText>
							</td>
						</tr>
					</table>
				</odc:bfPanel>
				<odc:bfPanel id="diskdrive_properties_volumes"
					name="#{bundle.DiskDrivesProperties_Tab_Volumes}"
					onenter="diskDrivePropertiesObj.onTabEnter(this, event);"
					showFinishCancelButton="false">
					<div id="table_header_div" class="scm_DataTableHeader_Div"> 
					<hx:dataTableEx
						id="volumes_table_header" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
						summary="#{bundle.DiskDriveProperties_Volumes_Table_Summary}"
						rendered="true">
						<hx:columnEx id="volumename_col_header">
							<f:facet name="header">
									<h:outputText id="volumename_header"
										styleClass="scm_outputText"
										value="#{bundle.DiskDrivesProperties_Volumes_TableHeader_Name}"></h:outputText>
							</f:facet>
							<f:attribute value="40%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="totalcapacity_col_header">
							<f:facet name="header">
									<h:outputText id="totalcapacity_header"
										styleClass="scm_outputText"
										value="#{bundle.DiskDrivesProperties_Volumes_TableHeader_TotalGB}"></h:outputText>
							</f:facet>
							<f:attribute value="30%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="volume_status_col_header">
							<f:facet name="header">
									<h:outputText id="volume_status_header"
										styleClass="scm_outputText"
										value="#{bundle.DiskDrivesProperties_Volumes_TableHeader_Status}"></h:outputText>
							</f:facet>
							<f:attribute value="30%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
					</hx:dataTableEx>
					</div>
					<div style="width:100%; height:200px; overflow-y:auto"><hx:dataTableEx
						id="volumes_table" border="0" cellpadding="0" cellspacing="0"
						headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
						columnClasses="scm_DataTable_Column"
						rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
						value="#{diskDrivePropertiesBean.diskDrive.volumes}" var="volume"
						style="border-top: 0px; table-layout: fixed;"
						summary="#{bundle.DiskDriveProperties_Volumes_Table_Summary}"
						rendered="#{!diskDrivePropertiesBean.diskDrive.noVolume}">
						<hx:columnEx id="volumename_col">
							<f:facet name="header">
									<h:outputText id="volumename_tbody_header"
										styleClass="scm_outputText"
										value="#{bundle.DiskDrivesProperties_Volumes_TableHeader_Name}"></h:outputText>
							</f:facet>
							<h:outputText id="volumename_cell" styleClass="scm_outputText"
								value="#{volume.volumeName}">
							</h:outputText>
							<f:attribute value="40%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
						<hx:columnEx id="totalcapacity_col">
							<f:facet name="header">
									<h:outputText id="totalcapacity_tbody_header"
										styleClass="scm_outputText"
										value="#{bundle.DiskDrivesProperties_Volumes_TableHeader_TotalGB}"></h:outputText>
							</f:facet>
							<h:outputText id="totalcapacity_cell" styleClass="scm_outputText"
								value="#{volume.totalCapacityText}">
							</h:outputText>
							<f:attribute value="30%" name="width" />
							<f:attribute value="right" name="align" />
						</hx:columnEx>
						<hx:columnEx id="volume_status_col">
							<f:facet name="header">
									<h:outputText id="volume_status_tbody_header"
										styleClass="scm_outputText"
										value="#{bundle.DiskDrivesProperties_Volumes_TableHeader_Status}"></h:outputText>
							</f:facet>
							<hx:graphicImageEx id="cell_status_img" rendered="#{!volume.statusNormal}"
								value="#{volume.statusImgPath}" alt="#{volume.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
							<hx:graphicImageEx id="cell_status_img_blank" rendered="#{volume.statusNormal}"
								value="/images/status/none_16.gif" alt="#{volume.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
							<h:outputText id="volume_status_cell"
								value="#{volume.statusText}" styleClass="scm_outputText">
							</h:outputText>
							<f:attribute value="30%" name="width" />
							<f:attribute value="left" name="align" />
						</hx:columnEx>
					</hx:dataTableEx> 
					<hx:jspPanel id="novolume_panel" rendered="#{diskDrivePropertiesBean.diskDrive.noVolume}">
						<table
							style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
							<tr>
								<td><h:outputText id="norecords_desc"
							value="#{bundle.DiskDrivesProperties_NoVolumes_Description}"
							styleClass="scm_outputText"></h:outputText></td>
							</tr>
						</table>
					</hx:jspPanel>
					</div>
				</odc:bfPanel>
				<f:facet name="back">
					<hx:commandExButton type="submit" value="&lt; Back"
						id="tabbedPanel_back" style="display:none"></hx:commandExButton>
				</f:facet>
				<f:facet name="next">
					<hx:commandExButton type="submit" value="Next &gt;"
						id="tabbedPanel_next" style="display:none"></hx:commandExButton>
				</f:facet>
				<f:facet name="finish">
					<hx:commandExButton type="submit" value="Finish"
						id="tabbedPanel_finish" style="display:none"></hx:commandExButton>
				</f:facet>
				<f:facet name="cancel">
					<hx:commandExButton type="submit" value="Cancel"
						id="tabbedPanel1sscancel" style="display:none"></hx:commandExButton>
				</f:facet>
			</odc:tabbedPanel></div>
			<br>
			<div id="footer"><hx:commandExButton type="button"
				styleClass="scm_button" value="#{bundle.Common_Button_Close}"
				id="btn_close" onclick="parent.panelDialogObj.closeDialog()">
			</hx:commandExButton></div>
		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
