<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/DiskDrives.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/storage/DiskDrives.js"></SCRIPT>

<TITLE>Storage Disk Drives</TITLE>

</HEAD>
<f:view>
	<BODY onload="parent.parent.inlineMessagesAjaxObj.fetchMessages()">
	<hx:scriptCollector id="scriptCollector">
		<h:form id="form1" styleClass="scm_outputText">

		<div id="bodyDiv" style="height:450px;">
			<div style="width:100%; text-align:right; margin-bottom:2"><h:outputText
				id="lastrefreshlabel" value="#{bundle.Common_Label_LastRefresh}"
				styleClass="scm_outputText"></h:outputText> <span
				id="lastrefresh_timestamp"></span></div>
			<table style="width:100%;padding:5px 0px 7px 0px;"
				class="scm_DataTable_ActionArea">
				<tbody>
					<tr>
						<td><hx:commandExButton id="locatedrive_btn"
							value="#{bundle.StorageDiskDrives_Button_LocateDrive}"
							styleClass="scm_button" type="button"
							onclick="diskDrivesObj.onClickLocateDrivesBtn(this, event)"></hx:commandExButton>
						</td>
						<td><hx:commandExButton id="assig_globalspare_btn"
							value="#{bundle.StorageDiskDrives_Button_AssignAsGlobalHotSpare}"
							onclick="diskDrivesObj.onClickAssignGHSMenuBtn(this,event);"
							styleClass="scm_button" type="button">
						</hx:commandExButton></td>
						<td style="margin:0px 5px 0px 5px;" align="left"><hx:panelMenu
							flyOpen="false" id="actionmenu" styleClass="scm_actionMenu">
							<f:facet name="header">
								<h:panelGroup id="btn_group">
									<hx:commandExButton value="#{bundle.Common_Menu_Actions}"
										id="action_btn" styleClass="scm_actionMenu_Button"
										title="#{bundle.Common_Menu_Actions}"></hx:commandExButton>
									<hx:graphicImageEx value="/images/menu/sortdescon.gif"
										id="btn_img" styleClass="scm_actionMenu_Button_Icon" alt="#{bundle.Common_Menu_Actions}"></hx:graphicImageEx>
								</h:panelGroup>
							</f:facet>
							<hx:outputLinkEx value="javascript:;" id="properties_link"
								onclick=""
								title="#{bundle.StorageDiskDrives_Menu_Properties}">
								<h:outputText id="properties_text" styleClass="scm_outputText"
									value="#{bundle.StorageDiskDrives_Menu_Properties}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
							<hx:outputSeparator id="separator1"></hx:outputSeparator>
							<hx:outputLinkEx value="javascript:;" id="assign_globalspare_link"
								onclick=""
								title="#{bundle.StorageDiskDrives_Menu_AssignasGlobalHotSpare}">
								<h:outputText id="assign_globalspare_text"
									styleClass="scm_outputText"
									value="#{bundle.StorageDiskDrives_Menu_AssignasGlobalHotSpare}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
							<hx:outputLinkEx value="javascript:;" id="unassign_globalspare_link"
								onclick=""
								title="#{bundle.StorageDiskDrives_Menu_UnAssignGlobalHotSpare}">
								<h:outputText id="unassign_globalspare_text"
									styleClass="scm_outputText"
									value="#{bundle.StorageDiskDrives_Menu_UnAssignGlobalHotSpare}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
							<hx:outputSeparator id="separator2"></hx:outputSeparator>
							<hx:outputLinkEx value="javascript:;" id="create_storagepool_link"
								title="#{bundle.StorageDiskDrives_Menu_CreateStoragePool}"
								onclick="diskDrivesObj.onClickCreatePoolMenuBtn();">
								<h:outputText id="create_storagepool_text"
									styleClass="scm_outputText"
									value="#{bundle.StorageDiskDrives_Menu_CreateStoragePool}"></h:outputText>
							</hx:outputLinkEx>
							<hx:outputSeparator id="separator3"></hx:outputSeparator>
							<hx:outputLinkEx value="javascript:;" id="locatedrive_link"
								onclick=""
								title="#{bundle.StorageDiskDrives_Menu_LocateDrive}">
								<h:outputText id="locatedrive_text" styleClass="scm_outputText"
									value="#{bundle.StorageDiskDrives_Menu_LocateDrive}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>
							<hx:outputLinkEx value="javascript:;" id="initialize_link"
								onclick=""
								title="#{bundle.StorageDiskDrives_Menu_Initialize}">
								<h:outputText id="initialize_text" styleClass="scm_outputText"
									value="#{bundle.StorageDiskDrives_Menu_Initialize}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>							
							<hx:outputLinkEx value="javascript:;" id="clearforeighcf_link"
								onclick=""
								title="#{bundle.StorageDiskDrives_Menu_Clear_Foreign_Configuration}">
								<h:outputText id="clearforeighcf_text" styleClass="scm_outputText"
									value="#{bundle.StorageDiskDrives_Menu_Clear_Foreign_Configuration}"></h:outputText>
								<f:attribute name="itemDisabled" value="true"></f:attribute>
							</hx:outputLinkEx>							
						</hx:panelMenu></td>
						<td align="right" style="width:100%;"><hx:commandExButton
							id="refresh_btn" value="#{bundle.Common_Button_Refresh}"
							styleClass="scm_button"
							onclick="diskDrivesObj.onClickRefreshBtn(this,event);"
							action="#{pc_DiskDrives.doRefreshBtnAction}" 
							type="submit"></hx:commandExButton></td>
					</tr>
				</tbody>
			</table>
			<div id="table_header_div" class="scm_DataTableHeader_Div">
			<hx:dataTableEx
				id="diskdrives_table_header" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
				rendered="true">
				<hx:columnEx id="checkbox_col_header">
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="diskdrivename_col_header">
					<f:facet name="header">
							<h:outputText id="diskdrivename_header"
								styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_DiskDrive}"></h:outputText>
					</f:facet>
					<f:attribute value="18%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="location_col_header">
					<f:facet name="header">
							<h:outputText id="location_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_Location}"></h:outputText>
					</f:facet>
					<f:attribute value="11%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="status_col_header">
					<f:facet name="header">
							<h:outputText id="status_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_Status}"></h:outputText>
					</f:facet>
					<f:attribute value="12%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="raw_col_header">
					<f:facet name="header">
							<h:outputText id="raw_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_RawGB}"></h:outputText>
					</f:facet>
					<f:attribute value="13%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="type_col_header">
					<f:facet name="header">
							<h:outputText id="type_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_Type}"></h:outputText>
					</f:facet>
					<f:attribute value="7%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="state_col_header">
					<f:facet name="header">
							<h:outputText id="state_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_State}"></h:outputText>
					</f:facet>
					<f:attribute value="19%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="poolname_col_header">
					<f:facet name="header">
							<h:outputText id="poolname_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_StoragePools}"></h:outputText>
					</f:facet>
					<f:attribute value="15%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx>
			</div>
			<div id="tablecontent_panel"
				style="width:100%; height:280px; overflow-y:auto"><hx:dataTableEx
				id="diskdrives_table" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header scm_DataTable_Body_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				style="border-top: 0px; table-layout: fixed;"
				value="#{storageDiskDriveBean.diskDrives}" var="diskDrive"
				summary="#{bundle.Storage_DiskDrives_Table_Summary}"
				rendered="true">
				<hx:columnEx id="checkbox_col">
					<hx:inputRowSelect id="hidden_selected_cell" noscript="true"
						selectOne="false" value="false" title="#{diskDrive.diskDriveName}">
					</hx:inputRowSelect>
					<h:inputHidden id="diskdrive_id" value="#{diskDrive.diskDriveId}"></h:inputHidden>
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="diskdrivename_col">
					<f:facet name="header">
							<h:outputText id="diskdrivename_tbody_header"
								styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_DiskDrive}"></h:outputText>
					</f:facet>
					<hx:outputLinkEx id="diskdrivename_link" styleClass="scm_plainLink"
						value="javascript:;"
						onclick="diskDrivesObj.onClickDiskDriveLink(this);"
						title="#{bundle.StorageDiskDrives_DiskDriveName_LinkTitle}">
						<h:outputText id="diskdrivename_cell"
							value="#{diskDrive.diskDriveName}" styleClass="scm_outputText">
						</h:outputText>
					</hx:outputLinkEx>
					<f:attribute value="18%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="location_col">
					<f:facet name="header">
							<h:outputText id="location_tbody_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_Location}"></h:outputText>
					</f:facet>
					<h:outputText id="location_cell" styleClass="scm_outputText"
						value="#{diskDrive.location}">
					</h:outputText>
					<f:attribute value="11%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="status_col">
					<f:facet name="header">
							<h:outputText id="status_tbody_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_Status}"></h:outputText>
					</f:facet>
					<hx:graphicImageEx id="cell_status_img" rendered="#{!diskDrive.statusNormal}"
						value="#{diskDrive.statusImgPath}" alt="#{diskDrive.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
					<hx:graphicImageEx id="cell_status_img_blank" rendered="#{diskDrive.statusNormal}"
						value="/images/status/none_16.gif" alt="#{diskDrive.statusText}" style="margin-bottom:-2px;"></hx:graphicImageEx>
					<h:outputText id="statustext_cell" styleClass="scm_outputText"
						value="#{diskDrive.statusText}">
					</h:outputText>
					<f:attribute value="12%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="raw_col">
					<f:facet name="header">
							<h:outputText id="raw_tbody_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_RawGB}"></h:outputText>
					</f:facet>
					<h:outputText id="raw_cell" value="#{diskDrive.rawCapacityText}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="13%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="type_col">
					<f:facet name="header">
							<h:outputText id="type_tbody_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_Type}"></h:outputText>
					</f:facet>
					<h:outputText id="type_cell" value="#{diskDrive.type}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="7%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="state_col">
					<f:facet name="header">
							<h:outputText id="state_tbody_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_State}"></h:outputText>
					</f:facet>
					<h:outputText id="state_cell" styleClass="scm_outputText" style="display:none" 
						value="#{diskDrive.state}">
					</h:outputText>
					<hx:graphicImageEx id="stateimg_cell"
						value="#{diskDrive.stateImgPath}" alt=""
						style="margin-bottom:-2px;"></hx:graphicImageEx>
					<h:outputText id="state_cell_blank_space" styleClass="scm_outputText"
						value=" "/>
					<h:outputText id="statetext_cell" styleClass="scm_outputText"
						value="#{diskDrive.stateText}">
					</h:outputText>
					<f:attribute value="19%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="poolname_col">
					<f:facet name="header">
							<h:outputText id="poolname_tbody_header" styleClass="scm_outputText"
								value="#{bundle.StorageDiskDrives_TableHeader_StoragePools}"></h:outputText>
					</f:facet>
					<h:outputText id="poolname_cell" value="#{diskDrive.poolName}"
						styleClass="scm_outputText">
					</h:outputText>
					<f:attribute value="15%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx> <hx:jspPanel id="norecord_panel"
				rendered="#{storageDiskDriveBean.noRecord}">
				<table
					style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
					<tr>
						<td><h:outputText id="norecords_desc"
							value="#{bundle.StorageDiskDrives_NoRecords_Description}"
							styleClass="scm_outputText"></h:outputText></td>
					</tr>
				</table>
			</hx:jspPanel></div>

			
			<h:inputHidden id="diskdrive_ids" value=""></h:inputHidden>
			<!-- ----------------------------------------- Assign Global Hot Spare Modal -------------------------------------- -->
			<h:commandButton id="assign_ghs_launcher" style="display:none;" value="assign_ghs_launcher" type="button"></h:commandButton>
			
			<hx:panelDialog style="width: 500px;" styleClass="scm_panelDialog"
					id="assign_ghs_dialog" for="assign_ghs_launcher" title="#{pc_DiskDrives.assignGHSDialogTitle}">
					<table>
						<tbody>
							<tr>
								<td valign="top" rowspan="2">
									<hx:graphicImageEx id="assign_ghs_img" value="images/status/information_30.gif" alt="#{bundle.Common_Status_Information}"></hx:graphicImageEx>
								</td>
								<td valign="top">
									<h:outputText id="assign_prompt_description" styleClass="scm_outputText" value="#{bundle.AssignGlobalHotSpare_Prompt_Description}" escape="false"></h:outputText>
								</td>
							</tr>
							<tr>
								<td valign="top" style="display:none;" id="dedicated_note_td">
									<h:outputText id="dedicated_note" styleClass="scm_outputTextTitle2" value="#{bundle.AssignGlobalHotSpare_Dedicated_Note}" escape="false"></h:outputText>
									<h:outputText id="dedicated_description" styleClass="scm_outputText" value="#{bundle.AssignGlobalHotSpare_Dedicated_Note_Description}" escape="false"></h:outputText>
								</td>
							</tr>
						</tbody>
					</table>
					
					<BR>
					
					<hx:commandExButton id="btn_ok" value="#{bundle.Common_OK}" action="#{pc_DiskDrives.assignGlobalHotSpare}" styleClass="scm_button" type="submit" onclick="diskDrivesObj.onClickRefreshBtn(this, event);"></hx:commandExButton>
						
					<hx:commandExButton id="btn_cancel" value="#{bundle.Common_Cancel}" type="button" styleClass="scm_button">
						<hx:behavior id="assign_ghs_behavior" event="onclick" targetAction="assign_ghs_dialog" behaviorAction="hide;"></hx:behavior>
					</hx:commandExButton>
					
			</hx:panelDialog>

			<!-- ----------------------------------------- Unassign Global Hot Spare Modal -------------------------------------- -->
			<h:commandButton id="unassign_ghs_launcher" style="display:none;" value="unassign_ghs_launcher" type="button"></h:commandButton>
			
			<hx:panelDialog style="width: 500px;" styleClass="scm_panelDialog"
					id="unassign_ghs_dialog" for="unassign_ghs_launcher" title="#{pc_DiskDrives.unassignGHSDialogTitle}">
					<table>
						<tbody>
							<tr>
								<td valign="top" rowspan="2">
									<hx:graphicImageEx id="unassign_ghs_img" value="images/status/information_30.gif" alt="#{bundle.Common_Status_Information}"></hx:graphicImageEx>
								</td>
								<td valign="top">
									<h:outputText id="unassign_prompt_description" styleClass="scm_outputText" value="#{bundle.UnassignGlobalHotSpare_Prompt_Description}" escape="false"></h:outputText>
								</td>
							</tr>
							<tr>
								<td valign="top" id="unprotected_pools_td">
									<h:panelGroup id="pre_unassign_ghs_panel">
											<hx:ajaxRefreshSubmit id="unassign_ajaxrefresh_submit"
												oncomplete="diskDrivesObj.onUnassignGHSAjaxComplete(this, event);"
												onerror="diskDrivesObj.onAjaxError();"
												onstart="">
											</hx:ajaxRefreshSubmit>
											<hx:jspPanel rendered="#{pc_DiskDrives.ajaxed}" id="unprotected_pool_panel">
												<ul id="unprotected_pools_ul">
													<hx:dataIterator id="unprotected_pools_iterator" value="#{pc_DiskDrives.unprotectedPoolsBySelectedDisks}" var="unprotectedPool">
														<hx:jspPanel id="unprotected_li_panel">
															<li>
																	<h:outputText styleClass="scm_outputText" id="unprotected_pool_name" value="#{unprotectedPool.displayName}"></h:outputText>
															</li>
														</hx:jspPanel>
													</hx:dataIterator>
												</ul>
											</hx:jspPanel>
									</h:panelGroup>
								</td>
							</tr>
						</tbody>
					</table>
					
					<BR>
					
					<hx:commandExButton id="unassign_btn_ok" value="#{bundle.Common_OK}" action="#{pc_DiskDrives.unassignGlobalHotSpare}" styleClass="scm_button" type="submit" onclick="diskDrivesObj.onClickRefreshBtn(this, event);"></hx:commandExButton>
						
					<hx:commandExButton id="unassign_btn_cancel" value="#{bundle.Common_Cancel}" type="button" styleClass="scm_button">
						<hx:behavior id="unassign_ghs_behavior" event="onclick" targetAction="unassign_ghs_dialog" behaviorAction="hide;"></hx:behavior>
					</hx:commandExButton>
					
			</hx:panelDialog>

			<%-- Ajax request for unassign spare --%>
			<hx:commandExButton id="pre_unassign_ghs_launcher" type="button" value="Click"
				style="display:none;">
				<hx:behavior id="pre_unassign_ghs_behavior" event="onclick" behaviorAction="get"
					targetAction="pre_unassign_ghs_panel"></hx:behavior>
			</hx:commandExButton>


			<!-- ----------------------------------------- Clear Foreign Configuration Modal -------------------------------------- -->
			<h:commandButton id="clear_foreigncf_launcher" style="display:none;" value="clear_foreigncf_launcher" type="button"></h:commandButton>
			<hx:panelDialog style="width: 500px;" styleClass="scm_panelDialog"
					id="clear_foreigncf_dialog" for="clear_foreigncf_launcher" title="#{pc_DiskDrives.clearForeignCfDialogTitle}">
					<table>
						<tbody>
							<tr>
								<td valign="top" rowspan="2">
									<hx:graphicImageEx id="clear_foreigncf_img" value="images/status/information_30.gif" alt="#{bundle.Common_Status_Information}"></hx:graphicImageEx>
								</td>
								<td valign="top">
									<h:outputText id="clearcf_prompt_description" styleClass="scm_outputText" value="#{bundle.ClearForeignConfiguration_Prompt_Message}" escape="false"></h:outputText>
								</td>
							</tr>
						</tbody>
					</table>
					
					<BR>
					
					<hx:commandExButton id="clearcf_btn_ok" value="#{bundle.Common_OK}" action="#{pc_DiskDrives.clearForeignConfiguration}" styleClass="scm_button" type="submit" onclick="diskDrivesObj.onClickRefreshBtn(this, event);"></hx:commandExButton>
						
					<hx:commandExButton id="clearcf_btn_cancel" value="#{bundle.Common_Cancel}" type="button" styleClass="scm_button">
						<hx:behavior id="clear_foreigncf_behavior" event="onclick" targetAction="clear_foreigncf_dialog" behaviorAction="hide;"></hx:behavior>
					</hx:commandExButton>
					
			</hx:panelDialog>


		</div>
		</h:form>
		<h:outputText style="display:none" id="selectedHost" value="#{scmSessionData.selectedHost.displayName}"></h:outputText>
		<h:outputText style="display:none" id="selectedController" value="#{scmSessionData.selectedController.displayName}"></h:outputText>
		
		<%-- ***************COMMON PANEL DIALOG, must include it out of the <h:form/> tag******************* --%>
		<jsp:include flush="true" page="/page/common/PanelDialog.jsp"></jsp:include>
		
		<%-- ***************Hidden input/output area******************* --%>
		<h:outputText id="dialog_title" value="#{storageDiskDriveBean.propertyDialogTitle}" style="display:none"></h:outputText>
		<h:outputText id="dialog_title_initialize" value="#{pc_DiskDrives.initializeDialogTitle}" style="display:none"></h:outputText>
		<h:outputText id="internal_location" value="#{bundle.StorageDiskDrives_Location_Internal}" style="display:none"></h:outputText>
		
		<%-- ***************LOCATE DIALOG******************* --%>
		<jsp:include page="/page/allresources/LocateShell.jsp" flush="true"></jsp:include>
		
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
<script language="javascript">
dataTableObj.init(DiskDrives.VIEW_FORM_ID+":diskdrives_table",diskDrivesObj.changeMenus,DataTable.MULTI);
dataTableObj.initHeaderDivPaddingWidth(DiskDrives.VIEW_FORM_ID+":diskdrives_table");
diskDrivesObj.init();
</script>
