<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/InitializeDrivesConfirmation.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/common/DataTable.js"></SCRIPT>
<SCRIPT type="text/javascript"
	src="page/storage/InitializeDrivesConfirmation.js"></SCRIPT>

<TITLE>Initialize Drives Confirmation</TITLE>

</HEAD>
<f:view>
	<BODY onload="">
	<hx:scriptCollector id="scriptCollector"
		preRender="#{pc_InitializeDrivesConfirmation.onPageLoadBegin}">
		<h:form id="form1">
			<table>
				<tbody>
					<tr>
						<td valign="top" style="width:35px;"><hx:graphicImageEx
							id="information_img" value="/images/status/information_30.gif" alt="#{bundle.Common_Image_Information_Alt}"></hx:graphicImageEx>
						</td>
						<td width="100%">
						<div><h:outputText id="prompt_description"
							value="#{bundle.InitializeDrives_Prompt_Message}"
							styleClass="scm_outputText"></h:outputText></div>
						<br>
						<hx:dataTableEx
							id="drives_table" border="0" cellpadding="0" cellspacing="0"
							headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
							columnClasses="scm_DataTable_Column"
							rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
							value="#{initializeDrivesConfirmationBean.diskDrives}" var="drive"
							summary="#{bundle.InitializeDrive_Drives_Table_Summary}"
							rendered="true">
							<hx:columnEx id="col_drive_id" style="display:none">
								<h:outputText id="drive_id" value="#{drive.diskDriveId}" style="display:none"></h:outputText>
							</hx:columnEx>
							<hx:columnEx id="col_drive_name">
								<f:facet name="header">
									<h:outputText id="drive_name_header"
										styleClass="scm_outputText"
										value="#{bundle.InitializeDrives_TableHeader_DiskDrive}"></h:outputText>
								</f:facet>
								<h:outputText id="cell_drive_name"
									value="#{drive.diskDriveName}" styleClass="scm_outputText">
								</h:outputText>
								<f:attribute value="70%" name="width" />
								<f:attribute value="left" name="align" />
							</hx:columnEx>
							<hx:columnEx id="col_capacity">
								<f:facet name="header">
									<h:outputText id="header_capacity" styleClass="scm_outputText"
										value="#{bundle.InitializeDrives_TableHeader_RawGB}"></h:outputText>
								</f:facet>
								<h:outputText id="cell_capacity" value="#{drive.rawCapacityText}"
									styleClass="scm_outputText">
								</h:outputText>
								<f:attribute value="30%" name="width" />
								<f:attribute value="left" name="align" />
							</hx:columnEx>
							</hx:dataTableEx>
						</td>
					</tr>
				</tbody>
			</table>
			<br>
			<table>
				<tbody>
					<tr>
						<td style="width:30%; padding-right:10px;"><hx:commandExButton
							id="ok_btn" value="#{bundle.Common_OK}" type="button"
							onclick="initializeDrivesConfirmationObj.onOKBtnClick(this,event)"
							 styleClass="scm_button"></hx:commandExButton></td>
						<td><hx:commandExButton id="cancel_btn"
							value="#{bundle.Common_Cancel}" type="button"
							onclick="parent.panelDialogObj.closeDialog()" action=""
							 styleClass="scm_button"></hx:commandExButton></td>
						<td>
						<div id="loading_div" style="display:none;"><img
							src="images\loading\loading_large.gif"
							style="margin-bottom:-5px;" alt="#{bundle.Common_Loading_Label}"></img></div>
						</td>
					</tr>
				</tbody>
			</table>
			<br>

			<%-- HIDDEN FIELD --%>
			
			<%-- Ajax request to delete the pool --%>
			<hx:commandExButton id="initialize_drives_launcher" type="button"
				value="Click" style="display:none;">
				<hx:behavior id="initializedrives_behavior" event="onclick" behaviorAction="get"
					targetAction="initializedrives_panel"></hx:behavior>
			</hx:commandExButton>

			<h:panelGroup id="initializedrives_panel" style="display:none;">
				<hx:ajaxRefreshSubmit id="initializedrives_ajax_submit" 
					oncomplete="initializeDrivesConfirmationObj.onInitializeComplete();"
					onerror="initializeDrivesConfirmationObj.onAjaxError();"
					onstart="initializeDrivesConfirmationObj.onInitializeStart();">
				</hx:ajaxRefreshSubmit>
			</h:panelGroup>
			
			<%-- set the drive ids to input hidden field for ajax submit --%>
			<h:inputHidden id="drive_ids" value=""></h:inputHidden>
			
		</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
