<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/PoolsStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:loadBundle basename="com.ibm.sysmgmt.scm.ar.nls.GWMARL" var="bundle" />

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href="page/common/scmstyle.css"
	title="Style">
<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>

<TITLE>Pool Static Loading</TITLE>

</HEAD>
<f:view>
	<BODY onload="onPageLoad()">
	<hx:scriptCollector id="scriptCollector">
		<h:form id="form1" styleClass="scm_outputText">
			<div style="width:100%; text-align:right; margin-bottom:2"><h:outputText
				id="lastrefreshlabel" value="#{bundle.Common_Label_LastRefresh}"
				styleClass="scm_outputText"></h:outputText> <h:outputText
				id="lastrefresh_loading"
				value="#{bundle.Wait_LoadingMessage_CommonRefresh}"></h:outputText></div>
			<table style="width:100%;padding:5px 0px 7px 0px;"
				class="scm_DataTable_ActionArea">
				<tbody>
					<tr>
						<td><hx:commandExButton id="creatpool_btn"
							value="#{bundle.StoragePools_Button_CreateStoragePool}"
							disabled="true" styleClass="scm_button" 
							type="submit"></hx:commandExButton></td>
						<td><hx:commandExButton id="createvolumes_btn"
							value="#{bundle.StoragePools_Button_CreateVolumes}"
							disabled="true" styleClass="scm_button"  type="submit">
						</hx:commandExButton></td>
						<td style="margin:0px 5px 0px 5px; width:60%" align="left">
				
						<%-- ----------------------------------------- ACTIONS MENU -------------------------------------- --%>
					
						<h:panelGroup id="btn_group">
							<hx:commandExButton disabled="true" value="#{bundle.Common_Menu_Actions}" id="action_btn" styleClass="scm_actionMenu_Button"></hx:commandExButton>
							<hx:graphicImageEx value="/images/menu/sortdescon.gif" id="btn_img" styleClass="scm_actionMenu_Button_Icon" alt="#{bundle.Common_Menu_Actions}"></hx:graphicImageEx>
 							</h:panelGroup>
						</td>
						<td align="right" style="width:40%;"><hx:commandExButton
							id="refresh_btn" value="#{bundle.Common_Button_Refresh}"
							disabled="true" styleClass="scm_button"  type="submit"></hx:commandExButton>
						</td>
					</tr>
				</tbody>
			</table>
			<div id="tablecontent_panel"
				style="width:100%; height:280px; overflow-y:auto"><hx:dataTableEx
				id="pools_table_header" border="0" cellpadding="0" cellspacing="0"
				headerClass="scm_DataTable_Header" styleClass="scm_DataTable"
				columnClasses="scm_DataTable_Column"
				rowClasses="scm_DataTable_Row,scm_DataTable_RowGray" width="100%"
				summary="#{bundle.Storage_Pools_Table_Summary}"
				rendered="true" style="border-bottom: 0px; table-layout: fixed;">
				<hx:columnEx id="radio_col_header">
					<f:attribute value="5%" name="width" />
					<f:attribute value="center" name="align" />
				</hx:columnEx>
				<hx:columnEx id="poolname_col_header">
					<f:facet name="header">
							<h:outputText id="poolname_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_StoragePool}"></h:outputText>
					</f:facet>
					<f:attribute value="14%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="status_col_header">
					<f:facet name="header">
							<h:outputText id="status_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_Status}"></h:outputText>
					</f:facet>
					<f:attribute value="12%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="total_col_header">
					<f:facet name="header">
							<h:outputText id="total_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_TotalGB}"></h:outputText>
					</f:facet>
					<f:attribute value="15%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="available_col_header">
					<f:facet name="header">
							<h:outputText id="available_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_AvailableGB}"></h:outputText>
					</f:facet>
					<f:attribute value="12%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="volumes_col_header">
					<f:facet name="header">
							<h:outputText id="volumes_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_Volumes}"></h:outputText>
					</f:facet>
					<f:attribute value="13%" name="width" />
					<f:attribute value="right" name="align" />
				</hx:columnEx>
				<hx:columnEx id="raidlevel_col_header">
					<f:facet name="header">
							<h:outputText id="raidlevel_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_RAIDLevel}"></h:outputText>
					</f:facet>
					<f:attribute value="12%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
				<hx:columnEx id="spare_col_header">
					<f:facet name="header">
							<h:outputText id="spare_header" styleClass="scm_outputText"
								value="#{bundle.StoragePools_TableHeader_Spare}"></h:outputText>
					</f:facet>
					<f:attribute value="17%" name="width" />
					<f:attribute value="left" name="align" />
				</hx:columnEx>
			</hx:dataTableEx> <hx:jspPanel id="loading_panel" rendered="true">
				<table
					style="width:100%;display:block;height:45px;border-color:#88A4D6;border-style:solid;border-width:0px 1px 1px 1px;">
					<tr>
						<td><hx:graphicImageEx id="loading_img"
							value="images/loading/loading_large.gif"
							style="margin-bottom:-14px;" alt=""></hx:graphicImageEx> <h:outputText
							id="devicelog_loading"
							value="#{bundle.Wait_LoadingMessage_StoragePools}"
							styleClass="scm_outputText"></h:outputText></td>
					</tr>
				</table>
			</hx:jspPanel></div>
		</h:form>
	</hx:scriptCollector>
	</BODY>
	<jsp:include flush="true" page="/page/common/FloatMessage.jsp"></jsp:include>
</f:view>

</HTML>
<script type="text/javascript">
	var floatMessage = new FloatMessage(FloatMessage.STORAGE_BEAN_CONTEXT, FloatMessage.DYNAMIC);
	
	function restartFloatMessage()
	{
		floatMessage.restart();
	}
	
	function onPageLoad()
	{
		floatMessage.start();
	}
</script>
