<%-- jsf:pagecode language="java" location="/src/pagecode/page/storage/StorageView.java" --%><%-- /jsf:pagecode --%>

<%@ include file="/page/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ page language="java" contentType="text/html" pageEncoding="UTF-8" session="false"%>
<%@ page import="com.ibm.sysmgmt.scm.ar.nls.MessageFormatter,com.ibm.sysmgmt.scm.ar.nls.GWMARL" %>
<portlet:defineObjects />
<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/scmstyle.css") %>" title="Style">

<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/common.js") %>"></SCRIPT>

<f:view>
<hx:scriptCollector id="collector" preRender="#{pc_StorageView.receiveHatParam}" >
	
	<hx:jspPanel id="jsp_panel">
		<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/PortletPreviousSelectedTab.js") %>"></SCRIPT>
		<%@include file="/page/common/PortletPreviousSelectedTab.jsp"%>
	</hx:jspPanel>
	
	<h:form id="form1">
	<BODY>
	
	<div id="staticLoadingDiv">
	<iframe id="staticLoadingFrame" name="staticLoadingFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Static_Loading_Frame_Title, null)%>" style="height:184px;" width="100%"  scrolling="no" frameborder="0" src="<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/storage/StorageStaticLoadingView.jsp") %>"></iframe>
	</div>
	
	<div id="dynamicDiv">
	<iframe id="dynamicFrame" name="dynamicFrame" title="<%=MessageFormatter.formatLabel(GWMARL.Dynamic_Frame_Title, null)%>" style="height: 1px;" width="100%" scrolling="no" frameborder="0" onload="stopShellLoading()" src="<%= renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/storage/Storage.jsp") %>"></iframe>
	</div>
	
	</BODY>
	
	<!-- **************** Hiddent inputs below are for the navigation purpose *************** -->
	<div style="display:none">
		<hx:commandExButton id="btn_volume_tab_create_volume" 
										style=""
										value="volume_create_volume"
										action="#{pc_StorageView.doBtn_volume_tab_create_volumeAction}"
										type="submit"></hx:commandExButton>
										
		<hx:commandExButton id="btn_pool_tab_create_pool" 
										style=""
										value="pool_create_pool"
										action="#{pc_StorageView.doBtn_pool_tab_create_poolAction}"
										type="submit"></hx:commandExButton>
										
		<hx:commandExButton id="btn_pool_tab_create_volume" 
										style=""
										value="pool_create_volume"
										action="#{pc_StorageView.doBtn_pool_tab_create_volumeAction}"
										type="submit"></hx:commandExButton>
										
		<hx:commandExButton id="btn_diskdrive_tab_create_pool" 
										style=""
										value="diskdrive_create_pool"
										action="#{pc_StorageView.doBtn_disk_tab_create_poolAction}"
										type="submit"></hx:commandExButton>
										
		<h:inputHidden id="pool_tab_create_volume_selected_pool_id"
					   value="#{pc_StorageView.selectedPoolId}"></h:inputHidden>
		
		<!-- **************** HIDDEN BUTTON AND INPUT TO TRIGGER SPARING NAVIGATION  *************** -->
		<hx:commandExButton id="pool_tab_assign_global_spare_btn" 
									value="assign_global_spare"
									action="#{pc_StorageView.doAssignGlobalSpareAction}"
									type="submit"></hx:commandExButton>
		<hx:commandExButton id="pool_tab_assign_dedicated_spare_btn" 
									value="assign_dedicated_spare"
									action="#{pc_StorageView.doAssignPoolDedicatedSpareAction}"
									type="submit"></hx:commandExButton>	
		<hx:commandExButton id="pool_tab_unassign_dedicated_spare_btn" 
									value="unassign_dedicated_spare"
									action="#{pc_StorageView.doUnassignPoolDedicatedSpareAction}"
									type="submit"></hx:commandExButton>		   
		<h:inputHidden id="pool_tab_dedicated_spare_selected_poolid" value=""></h:inputHidden>	
		
		
		
	</div>			   
	</h:form>
</hx:scriptCollector>
</f:view>
